# Generated by configure.  Do not edit.

2021-03-21  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 2.0.0

2021-03-21  Patrick Ohly  <patrick.ohly@intel.com>

	* test/log2html.py:

	log2html.py: support writing UTF-8 to stdout

2021-03-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/util.cpp:
	* src/syncevo/util.h:

	Revert "C++: instantiate some templates once in libsyncevolution"

2021-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	1.99.2 pre-release

2021-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncCalendarSource.cpp:
	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/webdav/CalDAVSource.cpp:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/dbus/server/cmdline-wrapper.h:
	* src/dbus/server/server.cpp:
	* src/dbus/server/session.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/ConfigFilter.cpp:
	* src/syncevo/FileConfigTree.cpp:
	* src/syncevo/FilterConfigNode.cpp:
	* src/syncevo/IniConfigNode.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/MapSyncSource.cpp:
	* src/syncevo/PrefixConfigNode.cpp:
	* src/syncevo/SafeConfigNode.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* test/ClientTest.cpp:

	C++: better types for loop variables

2021-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	test: prefer more recent D-Bus config

2021-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/glib/syncevo-server.c:
	* src/dbus/glib/syncevo-session.c:

	GTK UI: avoid G_TYPE_INSTANCE_GET_PRIVATE

2021-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/client-test-app.cpp:

	test: remove unchecked dynamic cast

2021-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/gnome/GNOMEPlatform.cpp:

	gnome: remove libsecret include hack

2021-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/akonadi/configure-sub.in:

	akonadi: avoid link error on Fedora Rawhide

2021-01-24  Milan Crha  <mcrha@redhat.com>

	* src/dbus/server/auto-sync-manager.cpp:
	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/session.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevolution.cpp:
	* test/dbus-client-server.cpp:

	build: boost::placeholders

2020-12-28  Patrick Ohly  <patrick.ohly@intel.com>

	* .github/workflows/main.yml:

	.github: mirror from gitlab.freedesktop.org

2020-12-28  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:
	* test/sys.supp:

	test: refresh valgrind suppressions

2020-12-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gtk3-ui/main.c:

	GTK3 sync-ui: drop dependency on libunique

2020-12-22  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	test: drop useless "set -x"

2020-12-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/src.am:

	build: only link against libcppunit if needed

2020-12-22  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	build: stop building useless KDE deb

2020-12-22  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	sys.supp: more general gnutls_x509_trust_list_add_trust_file

2020-12-19  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	1.99.1 pre-release

2020-12-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/tdepim/tdepim.am:

	tde: fix "make dist" issue

2020-12-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	sys.supp: add gnutls_x509_trust_list_add_trust_file

2020-12-06  deloptes  <deloptes@gmail.com>

	* src/backends/tdepim/KNotesIface.kidl:
	* src/backends/tdepim/KNotesIface_stub.cpp:
	* src/backends/tdepim/KNotesIface_stub.h:
	* src/backends/tdepim/TDEPIMAddressBookSource.cpp:
	* src/backends/tdepim/TDEPIMAddressBookSource.h:
	* src/backends/tdepim/TDEPIMCalendarSource.cpp:
	* src/backends/tdepim/TDEPIMCalendarSource.h:
	* src/backends/tdepim/TDEPIMCalendarSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMNotesSource.cpp:
	* src/backends/tdepim/TDEPIMNotesSource.h:
	* src/backends/tdepim/TDEPIMNotesSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMSyncSource.cpp:
	* src/backends/tdepim/configure-sub.in:
	* src/backends/tdepim/tdepim.am:

	tdepim: various changes

2020-10-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ObexTransportAgent.cpp:

	OBEX: additional debug output

2020-10-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSourceRegister.cpp:
	* src/backends/evolution/EvolutionContactSourceRegister.cpp:

	EDS: avoid dead code warnings when disabled

2020-08-20  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	build: avoid deprecation warning

2020-08-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/client-test-app.cpp:

	test: fix compiler warning about return code of symlink

2020-08-09  Milan Crha  <mcrha@redhat.com>

	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.h:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/configure-sub.in:
	* src/backends/evolution/e-cal-check-timezones.c:
	* src/syncevo/SmartPtr.h:

	EDS: EDS 3.33.2, libecal 2.0 support

2020-07-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.h:

	SyncSource.h: fix compiler warning

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	c++: add missing va_end

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* test/client-test-main.cpp:

	c++: avoid slicing exception

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbusxx.am:
	* src/syncevo/gsignond-pipe-stream.cpp:
	* src/syncevo/gsignond-pipe-stream.h:
	* src/syncevo/syncevo.am:

	gdbus: replace helper class with normal glib classes

2018-01-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncCalendarSource.cpp:
	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/goa/goa.cpp:
	* src/backends/maemo/MaemoCalendarSource.cpp:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/qtcontacts/QtContactsSource.cpp:
	* src/backends/tdepim/TDEPIMAddressBookSource.cpp:
	* src/backends/webdav/CalDAVSource.cpp:
	* src/backends/webdav/CalDAVVxxSource.cpp:
	* src/backends/webdav/CardDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/dbus/server/auto-sync-manager.cpp:
	* src/dbus/server/bluez-manager.cpp:
	* src/dbus/server/client.cpp:
	* src/dbus/server/client.h:
	* src/dbus/server/connection.cpp:
	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/presence-status.cpp:
	* src/dbus/server/read-operations.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/session.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/FileConfigTree.cpp:
	* src/syncevo/FilterConfigNode.cpp:
	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/HashConfigNode.h:
	* src/syncevo/IniConfigNode.cpp:
	* src/syncevo/MapSyncSource.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/lcs.h:
	* src/syncevo/util.cpp:
	* src/syncevo/util.h:
	* src/syncevolution.cpp:
	* test/ClientTest.cpp:

	C++: automatically determine iterator types

2018-01-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/util.cpp:
	* src/syncevo/util.h:

	C++: instantiate some templates once in libsyncevolution

2018-01-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/oauth2/oauth2.cpp:
	* src/syncevo/util.h:

	util.h: remove unused ToString()

2018-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncCalendarSource.cpp:
	* src/backends/activesync/ActiveSyncCalendarSource.h:
	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSource.h:
	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/akonadi/AkonadiSyncSourceRegister.cpp:
	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.h:
	* src/backends/evolution/EvolutionCalendarSourceRegister.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionContactSourceRegister.cpp:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.h:
	* src/backends/file/FileSyncSource.cpp:
	* src/backends/file/FileSyncSourceRegister.cpp:
	* src/backends/gnome/GNOMEPlatform.cpp:
	* src/backends/goa/GOARegister.cpp:
	* src/backends/goa/goa.cpp:
	* src/backends/kcalextended/KCalExtendedSource.cpp:
	* src/backends/kcalextended/KCalExtendedSourceRegister.cpp:
	* src/backends/kde/KDEPlatform.cpp:
	* src/backends/maemo/MaemoCalendarSource.cpp:
	* src/backends/maemo/MaemoCalendarSourceRegister.cpp:
	* src/backends/oauth2/oauth2.cpp:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSourceRegister.cpp:
	* src/backends/qtcontacts/QtContactsSource.cpp:
	* src/backends/qtcontacts/QtContactsSourceRegister.cpp:
	* src/backends/signon/signon-accounts.cpp:
	* src/backends/signon/signon.cpp:
	* src/backends/sqlite/SQLiteContactSource.cpp:
	* src/backends/sqlite/SQLiteContactSource.h:
	* src/backends/sqlite/SQLiteContactSourceRegister.cpp:
	* src/backends/sqlite/SQLiteUtil.cpp:
	* src/backends/sqlite/SQLiteUtil.h:
	* src/backends/tdepim/TDEPIMAddressBookSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMCalendarSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMNotesSource.cpp:
	* src/backends/tdepim/TDEPIMNotesSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMSyncSource.cpp:
	* src/backends/webdav/CalDAVSource.cpp:
	* src/backends/webdav/CalDAVSource.h:
	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.h:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/backends/xmlrpc/XMLRPCSyncSourceRegister.cpp:
	* src/dbus/server/auto-sync-manager.cpp:
	* src/dbus/server/auto-term.h:
	* src/dbus/server/bluez-manager.cpp:
	* src/dbus/server/bluez-manager.h:
	* src/dbus/server/connman-client.cpp:
	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/dbus-transport-agent.cpp:
	* src/dbus/server/info-req.h:
	* src/dbus/server/localed-listener.cpp:
	* src/dbus/server/main.cpp:
	* src/dbus/server/network-manager-client.cpp:
	* src/dbus/server/notification-backend-libnotify.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/session.cpp:
	* src/dbus/server/sync-helper.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:
	* src/syncevo/CurlTransportAgent.cpp:
	* src/syncevo/CurlTransportAgent.h:
	* src/syncevo/EDSClient.h:
	* src/syncevo/Exception.h:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/GeeSupport.h:
	* src/syncevo/HashConfigNode.h:
	* src/syncevo/IdentityProvider.h:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LocalTransportAgent.h:
	* src/syncevo/LogDLT.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogRedirect.h:
	* src/syncevo/LogStdout.h:
	* src/syncevo/Logging.cpp:
	* src/syncevo/Logging.h:
	* src/syncevo/MapSyncSource.cpp:
	* src/syncevo/MapSyncSource.h:
	* src/syncevo/MultiplexConfigNode.cpp:
	* src/syncevo/MultiplexConfigNode.h:
	* src/syncevo/ObexTransportAgent.cpp:
	* src/syncevo/ObexTransportAgent.h:
	* src/syncevo/SmartPtr.h:
	* src/syncevo/SoupTransportAgent.cpp:
	* src/syncevo/SoupTransportAgent.h:
	* src/syncevo/StringDataBlob.h:
	* src/syncevo/SuspendFlags.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:
	* src/syncevo/SyncML.cpp:
	* src/syncevo/SyncML.h:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/SynthesisDBPlugin.cpp:
	* src/syncevo/SynthesisEngine.cpp:
	* src/syncevo/SynthesisEngine.h:
	* src/syncevo/TmpFile.cpp:
	* src/syncevo/TmpFile.h:
	* src/syncevo/gsignond-pipe-stream.cpp:
	* src/syncevo/icalstrdup.h:
	* src/syncevo/util.cpp:
	* src/syncevolution.cpp:
	* test/ClientTest.cpp:
	* test/ClientTest.h:
	* test/client-test-main.cpp:
	* test/dbus-client-server.cpp:

	C++: avoid NULL

2018-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/eds_abi_wrapper.cpp:
	* src/syncevolution.cpp:

	C++: replace BOOST_TYPEOF

2018-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncCalendarSource.h:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/webdav/CalDAVSource.h:
	* src/backends/webdav/CalDAVVxxSource.h:
	* src/backends/webdav/CardDAVSource.h:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/dbus/server/bluez-manager.cpp:
	* src/dbus/server/bluez-manager.h:
	* src/dbus/server/server.cpp:
	* src/dbus/server/session.h:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/EDSClient.h:
	* src/syncevo/util.h:
	* test/ClientTest.cpp:
	* test/dbus-client-server.cpp:

	C++: remove more boost headers (tuple, assign, utility)

2018-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSource.h:
	* src/backends/pbap/pbap.am:
	* src/backends/signon/signon-accounts.cpp:
	* src/backends/signon/signon.cpp:
	* src/dbus/server/server.am:
	* src/src.am:
	* src/syncevo/Exception.cpp:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LocalTransportAgent.h:
	* src/syncevo/TmpFile.cpp:
	* src/syncevo/TmpFile.h:
	* src/syncevo/syncevo.am:
	* src/syncevo/util.h:
	* test/ClientTest.cpp:
	* test/IcalTest.cpp:
	* test/client-test-main.cpp:
	* test/test.am:
	* test/test.cpp:

	C++: replace pcrecpp with std::regex

2018-01-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/akonadi/AkonadiSyncSourceRegister.cpp:
	* src/backends/evolution/EvolutionCalendarSourceRegister.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionContactSourceRegister.cpp:
	* src/backends/file/FileSyncSourceRegister.cpp:
	* src/backends/kcalextended/KCalExtendedSourceRegister.cpp:
	* src/backends/maemo/MaemoCalendarSourceRegister.cpp:
	* src/backends/pbap/PbapSyncSourceRegister.cpp:
	* src/backends/qtcontacts/QtContactsSourceRegister.cpp:
	* src/backends/sqlite/SQLiteContactSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMAddressBookSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMCalendarSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMNotesSourceRegister.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/backends/xmlrpc/XMLRPCSyncSourceRegister.cpp:
	* src/client-test-app.cpp:
	* src/dbus/server/main.cpp:
	* src/dbus/server/restart.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/ForkExec.h:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/IniConfigNode.cpp:
	* src/syncevo/SmartPtr.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/SynthesisEngine.h:
	* src/syncevo/util.cpp:
	* test/ClientTest.cpp:
	* test/ClientTest.h:
	* test/dbus-client-server.cpp:

	C++: avoid boost::scope_ptr/array and plain pointers

2018-01-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/async.patch:

	src/async.patch: remove obsolete patch

2018-01-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncCalendarSource.cpp:
	* src/backends/activesync/ActiveSyncCalendarSource.h:
	* src/backends/activesync/ActiveSyncSource.h:
	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/akonadi/AkonadiSyncSourceRegister.cpp:
	* src/backends/akonadi/akonadisyncsource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.h:
	* src/backends/evolution/EvolutionCalendarSourceRegister.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionContactSource.h:
	* src/backends/evolution/EvolutionContactSourceRegister.cpp:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.h:
	* src/backends/file/FileSyncSourceRegister.cpp:
	* src/backends/goa/GOARegister.cpp:
	* src/backends/goa/goa.cpp:
	* src/backends/goa/goa.h:
	* src/backends/kcalextended/KCalExtendedSourceRegister.cpp:
	* src/backends/maemo/MaemoCalendarSourceRegister.cpp:
	* src/backends/oauth2/oauth2.cpp:
	* src/backends/oauth2/oauth2.h:
	* src/backends/oauth2/oauth2Register.cpp:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSource.h:
	* src/backends/qtcontacts/QtContactsSourceRegister.cpp:
	* src/backends/signon/signon-accounts.cpp:
	* src/backends/signon/signon.cpp:
	* src/backends/signon/signon.h:
	* src/backends/signon/signonRegister.cpp:
	* src/backends/sqlite/SQLiteContactSource.h:
	* src/backends/sqlite/SQLiteContactSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMAddressBookSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMCalendarSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMNotesSourceRegister.cpp:
	* src/backends/webdav/CalDAVSource.cpp:
	* src/backends/webdav/CalDAVSource.h:
	* src/backends/webdav/CalDAVVxxSource.cpp:
	* src/backends/webdav/CalDAVVxxSource.h:
	* src/backends/webdav/CardDAVSource.cpp:
	* src/backends/webdav/CardDAVSource.h:
	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.h:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/backends/xmlrpc/XMLRPCSyncSourceRegister.cpp:
	* src/client-test-app.cpp:
	* src/dbus/server/auto-sync-manager.cpp:
	* src/dbus/server/auto-sync-manager.h:
	* src/dbus/server/bluez-manager.cpp:
	* src/dbus/server/bluez-manager.h:
	* src/dbus/server/client.cpp:
	* src/dbus/server/client.h:
	* src/dbus/server/cmdline-wrapper.h:
	* src/dbus/server/connection.cpp:
	* src/dbus/server/connection.h:
	* src/dbus/server/connman-client.cpp:
	* src/dbus/server/connman-client.h:
	* src/dbus/server/dbus-callbacks.cpp:
	* src/dbus/server/dbus-callbacks.h:
	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/dbus-sync.h:
	* src/dbus/server/dbus-transport-agent.h:
	* src/dbus/server/info-req.cpp:
	* src/dbus/server/localed-listener.cpp:
	* src/dbus/server/localed-listener.h:
	* src/dbus/server/main.cpp:
	* src/dbus/server/network-manager-client.cpp:
	* src/dbus/server/network-manager-client.h:
	* src/dbus/server/notification-manager-factory.cpp:
	* src/dbus/server/notification-manager-factory.h:
	* src/dbus/server/read-operations.cpp:
	* src/dbus/server/read-operations.h:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:
	* src/dbus/server/sync-helper.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/gdbusxx/gdbus-cxx.h:
	* src/syncevo/BoostHelper.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:
	* src/syncevo/ConfigFilter.cpp:
	* src/syncevo/ConfigNode.cpp:
	* src/syncevo/ConfigNode.h:
	* src/syncevo/ConfigTree.h:
	* src/syncevo/DataBlob.h:
	* src/syncevo/EDSClient.cpp:
	* src/syncevo/EDSClient.h:
	* src/syncevo/FileConfigTree.cpp:
	* src/syncevo/FileConfigTree.h:
	* src/syncevo/FileDataBlob.cpp:
	* src/syncevo/FileDataBlob.h:
	* src/syncevo/FilterConfigNode.cpp:
	* src/syncevo/FilterConfigNode.h:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/ForkExec.h:
	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:
	* src/syncevo/IniConfigNode.cpp:
	* src/syncevo/IniConfigNode.h:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LocalTransportAgent.h:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogStdout.cpp:
	* src/syncevo/LogSyslog.cpp:
	* src/syncevo/Logging.cpp:
	* src/syncevo/Logging.h:
	* src/syncevo/MapSyncSource.cpp:
	* src/syncevo/MapSyncSource.h:
	* src/syncevo/MultiplexConfigNode.h:
	* src/syncevo/PrefixConfigNode.cpp:
	* src/syncevo/PrefixConfigNode.h:
	* src/syncevo/SafeConfigNode.cpp:
	* src/syncevo/SafeConfigNode.h:
	* src/syncevo/SingleFileConfigTree.cpp:
	* src/syncevo/SingleFileConfigTree.h:
	* src/syncevo/SmartPtr.h:
	* src/syncevo/SoupTransportAgent.cpp:
	* src/syncevo/SoupTransportAgent.h:
	* src/syncevo/StringDataBlob.cpp:
	* src/syncevo/StringDataBlob.h:
	* src/syncevo/SuspendFlags.cpp:
	* src/syncevo/SuspendFlags.h:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:
	* src/syncevo/SyncML.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/SynthesisEngine.h:
	* src/syncevo/ThreadSupport.h:
	* src/syncevo/TrackingSyncSource.cpp:
	* src/syncevo/TrackingSyncSource.h:
	* src/syncevo/UserInterface.cpp:
	* src/syncevo/UserInterface.h:
	* src/syncevo/VolatileConfigNode.h:
	* src/syncevo/util.cpp:
	* src/syncevo/util.h:
	* src/syncevolution.cpp:
	* test/ClientTest.cpp:
	* test/ClientTest.h:
	* test/dbus-client-server.cpp:
	* test/evo.supp:
	* test/sys.supp:
	* test/test-dbus.py:

	C++: replace boost::shared_ptr, boost::function, boost::bind

2018-01-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/sqlite/SQLiteContactSource.cpp:
	* src/backends/sqlite/SQLiteUtil.cpp:
	* src/backends/sqlite/SQLiteUtil.h:
	* src/backends/tdepim/TDEPIMNotesSource.cpp:
	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/dbus/server/server.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/CmdlineSyncClient.cpp:
	* src/syncevo/ConfigFilter.cpp:
	* src/syncevo/ConfigNode.cpp:
	* src/syncevo/FileConfigTree.cpp:
	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/IniConfigNode.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogStdout.cpp:
	* src/syncevo/LogSyslog.cpp:
	* src/syncevo/SingleFileConfigTree.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncML.cpp:
	* src/syncevo/lcs.h:
	* src/syncevolution.cpp:
	* test/client-test-main.cpp:

	C++: avoid "using namespace std"

2018-01-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncCalendarSource.cpp:
	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/akonadi/akonadisyncsource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/file/FileSyncSource.cpp:
	* src/backends/goa/goa.cpp:
	* src/backends/kcalextended/KCalExtendedSource.cpp:
	* src/backends/maemo/MaemoCalendarSource.cpp:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/qtcontacts/QtContactsSource.cpp:
	* src/backends/signon/signon-accounts.cpp:
	* src/backends/sqlite/SQLiteContactSource.cpp:
	* src/backends/webdav/CalDAVSource.cpp:
	* src/backends/webdav/CardDAVSource.cpp:
	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/client-test-app.cpp:
	* src/dbus/server/auto-sync-manager.cpp:
	* src/dbus/server/bluez-manager.cpp:
	* src/dbus/server/cmdline-wrapper.h:
	* src/dbus/server/connection.cpp:
	* src/dbus/server/connman-client.cpp:
	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/localed-listener.cpp:
	* src/dbus/server/notification-backend-libnotify.cpp:
	* src/dbus/server/presence-status.cpp:
	* src/dbus/server/read-operations.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/ConfigFilter.cpp:
	* src/syncevo/ConfigNode.cpp:
	* src/syncevo/ConfigNode.h:
	* src/syncevo/EDSClient.h:
	* src/syncevo/FileConfigTree.cpp:
	* src/syncevo/FilterConfigNode.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/GeeSupport.h:
	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IniConfigNode.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/MapSyncSource.cpp:
	* src/syncevo/MultiplexConfigNode.cpp:
	* src/syncevo/PrefixConfigNode.cpp:
	* src/syncevo/SafeConfigNode.cpp:
	* src/syncevo/SingleFileConfigTree.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncML.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/util.cpp:
	* src/syncevo/util.h:
	* src/syncevolution.cpp:
	* test/ClientTest.cpp:
	* test/client-test-main.cpp:
	* test/test.cpp:

	C++: simpler for loops

2018-01-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/syncevo/CurlTransportAgent.cpp:
	* src/syncevo/CurlTransportAgent.h:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/ForkExec.h:
	* src/syncevo/LogRedirect.h:
	* src/syncevo/SoupTransportAgent.cpp:

	C++: lambdas instead of static methods

2018-01-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/timeout.h:

	C++: more modern timeout.h

2018-01-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/syncevo/GLibSupport.h:

	C++: variadic connectSignal()

2018-01-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/goa/goa.cpp:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/dbus/server/bluez-manager.cpp:
	* src/dbus/server/bluez-manager.h:
	* src/dbus/server/connection.h:
	* src/dbus/server/connman-client.cpp:
	* src/dbus/server/connman-client.h:
	* src/dbus/server/dbus-callbacks.cpp:
	* src/dbus/server/dbus-callbacks.h:
	* src/dbus/server/localed-listener.cpp:
	* src/dbus/server/localed-listener.h:
	* src/dbus/server/network-manager-client.cpp:
	* src/dbus/server/network-manager-client.h:
	* src/dbus/server/server.h:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/gdbusxx/gdbus-cxx.h:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LocalTransportAgent.h:
	* src/syncevolution.cpp:
	* test/dbus-client-server.cpp:
	* test/sys.supp:

	C++: variadic templates in D-Bus bindings

2018-01-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.h:

	SyncSource.h: variadic templates

2018-01-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/syncevo/EDSClient.h:
	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/util.cpp:
	* test/ClientTest.cpp:

	C++: use lambdas instead of boost::lambda, std::exception_ptr

2018-01-16  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* po/POTFILES.skip:
	* src/dbus/server/pim/README:
	* src/dbus/server/pim/edsf-view.cpp:
	* src/dbus/server/pim/edsf-view.h:
	* src/dbus/server/pim/examples/search.py:
	* src/dbus/server/pim/examples/sync.py:
	* src/dbus/server/pim/filtered-view.cpp:
	* src/dbus/server/pim/filtered-view.h:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/full-view.h:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/individual-traits.h:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/locale-factory.cpp:
	* src/dbus/server/pim/locale-factory.h:
	* src/dbus/server/pim/localed.py:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/merge-view.cpp:
	* src/dbus/server/pim/merge-view.h:
	* src/dbus/server/pim/org._01.pim.contacts.service.in:
	* src/dbus/server/pim/persona-details.h:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/pim/test-dbus/broken-config/config/syncevolution/pim-manager.ini:
	* src/dbus/server/pim/test-dbus/db-active/config/syncevolution/pim-manager.ini:
	* src/dbus/server/pim/test-dbus/first-last-sort/config/syncevolution/pim-manager.ini:
	* src/dbus/server/pim/test-dbus/simple-sort/config/syncevolution/pim-manager.ini:
	* src/dbus/server/pim/testpim.py:
	* src/dbus/server/pim/view.cpp:
	* src/dbus/server/pim/view.h:
	* src/dbus/server/server.am:

	syncevo-dbus-server: remove virtual address book feature

2018-01-10  Patrick Ohly  <patrick.ohly@intel.com>

	* .gitignore:
	* Makefile.am:
	* build/build.am:
	* build/export-gdbus.sh:
	* configure.ac:
	* src/dbus/server/exceptions.h:
	* src/gdbus/README:
	* src/gdbus/debug.c:
	* src/gdbus/debug.h:
	* src/gdbus/gdbus-cxx-bridge.cpp:
	* src/gdbus/gdbus-cxx-bridge.h:
	* src/gdbus/gdbus-cxx.h:
	* src/gdbus/gdbus.am:
	* src/gdbus/gdbus.h:
	* src/gdbus/mainloop.c:
	* src/gdbus/object.c:
	* src/gdbus/test/example.cpp:
	* src/gdbus/test/test-example:
	* src/gdbus/watch.c:
	* src/src.am:
	* src/syncevo/syncevo.am:

	gdbus: remove old libdbus-based implementation

2018-01-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/connection.cpp:

	connection.cpp: better check for obex-bt:// URLs

2018-01-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/installcheck-local.sh:

	installcheck-local.sh: test with C++14

2018-02-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SuspendFlags.cpp:

	SuspendFlags: restore printing of messages

2018-01-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/installcheck-local.sh:

	installcheck-local.sh: test with C++11

2018-01-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/timeout.h:

	timeout.h: include glib.h

2018-01-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/installcheck-local.sh:

	installcheck-local.sh: test with glib enabled

2018-02-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SoupTransportAgent.cpp:

	SoupTransportAgent: fix disabled SSL checking

2018-01-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/main.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:

	sync: avoid setenv()

2018-02-05  Patrick Ohly  <patrick.ohly@intel.com>

	* HACKING:
	* po/Makevars:
	* po/ar.po:
	* po/ast.po:
	* po/ca.po:
	* po/da.po:
	* po/gl.po:
	* po/hu.po:
	* po/id.po:
	* po/ro.po:
	* po/sk.po:
	* po/th.po:
	* po/tr.po:

	docs: replace meego.org references (FDO #104936)

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/signon.am:

	signon: fix pcrecpp build flags

2020-07-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/src.am:
	* test/log2html.py:
	* test/logger.py:
	* test/resultchecker.py:
	* test/runtests.py:
	* test/syncevo-http-server.py:
	* test/test-dbus.py:

	test: convert scripts to Python3

2020-08-09  Milan Crha  <mcrha@redhat.com>

	* build/source2html.py:
	* configure.ac:
	* src/dbus/server/pim/examples/search.py:
	* src/dbus/server/pim/examples/sync.py:
	* src/dbus/server/pim/testpim.py:
	* src/src.am:
	* test/log2html.py:
	* test/syncevo-http-server.py:
	* test/syncevo-phone-config.py:

	Python2 -> Python3

2020-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: remove lpia hack

2020-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: do not use resources.py during Git checkout

2020-07-24  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: fix command invocation

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/restart.h:
	* test/test-dbus.py:

	D-Bus server: fix server restarting

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:
	* test/test-dbus.py:

	test: fix D-Bus testing result gathering

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	test: allow missing remote branches

2020-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	build: don't attempt to install .deb archives while building them

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	build: remove special libical deps

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* test/dbus-session.sh:
	* test/log2html.py:
	* test/runtests.py:

	build: use Docker containers instead of chroots

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resources.py:
	* test/runtests.py:

	test/resources.py: Python3, remove Murphy support

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/client-test-app.cpp:

	test: ignore empty CLIENT_TEST_SOURCES

2020-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* .gitignore:
	* test/ClientTest.cpp:
	* test/client-test-main.cpp:
	* test/generate-html.xsl:
	* test/resultchecker.py:
	* test/runtests.py:
	* test/test-dbus.py:

	test: switch from .log to .txt for log files

2018-01-03  Patrick Ohly  <patrick.ohly@intel.com>

	* HACKING:
	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.5.3

2018-01-05  Patrick Ohly  <patrick.ohly@intel.com>

	* test/gdb-dump-stack:

	gdb-dump-stack: automatic stack dumps

2018-01-01  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	sys.supp: more dl suppressions

2018-01-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.cpp:

	EDS: more generic open retry handling

2017-12-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	sys.supp: suppress EDS/glib closure issue

2017-12-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/oauth2/oauth2.cpp:

	oauth2.cpp: fix usage of curl

2017-12-21  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/backends/akonadi/akonadi.am:
	* src/dbus/glib/glib.am:
	* src/gtk3-ui/gtk-ui.am:

	autotools: be more selective about suppressing deprecation
	warnings

2017-12-21  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/backends/oauth2/oauth2.cpp:
	* src/syncevo/SoupTransportAgent.cpp:
	* src/syncevo/SoupTransportAgent.h:
	* src/syncevo/SyncContext.cpp:

	SoupTransportAgent: require libsoup 2.42, no deprecated methods

2018-01-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/auto-sync-manager.h:
	* src/dbus/server/info-req.h:
	* src/dbus/server/server.am:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:
	* src/dbus/server/session.h:
	* src/dbus/server/timeout.h:
	* src/syncevo/syncevo.am:
	* src/syncevo/timeout.h:

	timeout.h: move from D-Bus server to syncevo

2017-12-21  Patrick Ohly  <patrick.ohly@intel.com>

	* m4-repo/ax_cxx_compile_stdcxx.m4:
	* m4-repo/ax_cxx_compile_stdcxx_11.m4:
	* m4-repo/ax_cxx_compile_stdcxx_14.m4:
	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/akonadi/akonadisyncsource.cpp:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/client-test-app.cpp:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/read-operations.cpp:
	* src/gdbus/gdbus-cxx-bridge.h:
	* src/gdbus/test/example.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* test/ClientTest.cpp:

	C++: replace auto_ptr with unique_ptr

2017-12-21  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	C++: try to use C++14, rely on C++11

2017-12-21  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test.am:

	test: honor warning flags

2017-12-14  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:
	* test/testcases/eds_event.ics.googlecalendar.tem.patch:

	testing: work around Google CalDAV RECURRENCE-ID

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/synctests/googlecontacts/eds_contact/testDownload/README:
	* test/testcases/synctests/googlecontacts/eds_contact/testDownload/local:
	* test/testcases/synctests/googlecontacts/eds_contact/testDownload/remote:
	* test/testcases/synctests/googlecontacts/eds_contact/testDownload/remote-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/README:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/remote-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/README:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/remote-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/README:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/remote:

	testing: exclude PHOTO data from Google Contacts sync tests

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* src/shlibs.local:
	* src/src.am:

	autotools: let caller suppress automatic lib dependencies

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* configure.ac:
	* src/src.am:

	autotools: building of binaries optional

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.h:

	C++: initialize all members of SyncSourceEvent

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/tdepim/TDEPIMNotesSource.h:

	TDEPIMNotesSource.h: remove unused kn_dcop

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/icaltz-util.c:

	icaltz-util.c: avoid undefined signed int shifting

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SynthesisDBPlugin.cpp:

	SynthesisDBPlugin.cpp: fix error path

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:

	C++: const and const ref enhancements

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.h:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/syncevo/util.h:

	C++: implement missing copy operator

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/eds_abi_wrapper.cpp:
	* src/syncevolution.cpp:
	* test/ClientTest.cpp:

	C++: avoid non-standard typeof

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	ClientTest.cpp: clean cppcheck warnings

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: suppress m_source cppcheck warning

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	wrappercheck.sh: detect premature exit while waiting for D-Bus
	daemon

2017-12-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/gnome/GNOMEPlatform.cpp:

	GNOME: retry keyring operations

2017-11-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/gnome/GNOMEPlatform.cpp:
	* src/backends/gnome/configure-sub.in:

	GNOME: replace gnome-keyring with libsecret (FDO #104219)

2017-12-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/CalDAVSource.cpp:
	* src/syncevo/icaltz-util.c:

	libical: support libical v3 (FDO #104220)

2016-11-08  Patrick Ohly  <patrick.ohly@intel.com>

	* .gitignore:

	.gitignore: ignore test-driver

2016-11-08  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	configure.ac: 1.5.2

2016-11-08  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:

	NEWS: finalize 1.5.2

2016-11-04  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_event.ics.exchange.tem.patch:

	eds_event.ics.exchange.tem.patch: adapt to Exchange 2016

2016-11-04  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: uninstalled activesyncd + glib schemas

2016-11-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/tdepim/TDEPIMNotesSource.h:

	TDE: fix compile issue

2016-11-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/signon-accounts.cpp:

	SignonAuthProvider: fix ref counting issue

2016-11-03  deloptes  <deloptes@gmail.com>

	* src/backends/tde/TDEPlatform.cpp:
	* src/backends/tdepim/TDEPIMNotesSource.h:

	TDE: various fixes

2016-10-13  SyncEvolution Nightly Testing  <syncevolution@syncevolution.org>


	Merge remote-tracking branch 'origin/for-master/tde' into nightly

2016-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/tdepim/TDEPIMCalendarSourceRegister.cpp:

	TDEPIMCalendarSourceRegister.cpp: only grab generic types when
	active

2016-10-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/activesync.am:

	activesync: fix packaging of activesyncd (FDO #98014)

2016-10-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/tdepim/TDEPIMAddressBookSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMCalendarSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMNotesSource.h:
	* src/backends/tdepim/TDEPIMNotesSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMSyncSource.h:
	* src/backends/tdepim/tdepim.am:

	tdepim: fix build issues

2016-09-26  deloptes  <deloptes@gmail.com>

	* src/backends/tdepim/KNotesIface.kidl:
	* src/backends/tdepim/KNotesIface_stub.cpp:
	* src/backends/tdepim/KNotesIface_stub.h:
	* src/backends/tdepim/TDEPIMAddressBookSource.cpp:
	* src/backends/tdepim/TDEPIMAddressBookSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMCalendarSource.cpp:
	* src/backends/tdepim/TDEPIMCalendarSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMNotesSource.cpp:
	* src/backends/tdepim/TDEPIMNotesSource.h:
	* src/backends/tdepim/TDEPIMNotesSourceRegister.cpp:

	tde, tdepim: adapt to TDE 14.1

2016-09-26  deloptes  <deloptes@gmail.com>

	* src/backends/tde/TDEPlatform.cpp:
	* src/backends/tde/TDEPlatform.h:
	* src/backends/tde/TDEPlatformRegister.cpp:
	* src/backends/tde/configure-sub.in:
	* src/backends/tde/tde.am:
	* src/backends/tdepim/KNotesIface_stub.cpp:
	* src/backends/tdepim/KNotesIface_stub.h:
	* src/backends/tdepim/README:
	* src/backends/tdepim/TDEPIMAddressBookSource.cpp:
	* src/backends/tdepim/TDEPIMAddressBookSource.h:
	* src/backends/tdepim/TDEPIMAddressBookSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMCalendarSource.cpp:
	* src/backends/tdepim/TDEPIMCalendarSource.h:
	* src/backends/tdepim/TDEPIMCalendarSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMNotesSource.cpp:
	* src/backends/tdepim/TDEPIMNotesSource.h:
	* src/backends/tdepim/TDEPIMNotesSourceRegister.cpp:
	* src/backends/tdepim/TDEPIMSyncSource.cpp:
	* src/backends/tdepim/TDEPIMSyncSource.h:
	* src/backends/tdepim/configure-sub.in:
	* src/backends/tdepim/tdepim.am:

	tde, tdepim: backend for the TDE desktop (FDO #97780)

2016-09-26  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:

	NEWS: SyncEvolution 1.5.2 snapshot

2016-09-22  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:
	* test/ClientTest.h:

	ClientTest: avoid pass-by-value

2016-09-22  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	dbus-session.sh: avoid using dbus-launch

2016-09-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/syncevo-dbus-server-startup.sh.in:

	syncevo-dbus-server-startup.sh.in: optional start via D-Bus
	activation

2015-09-24  Simon McVittie  <simon.mcvittie@collabora.co.uk>

	* src/dbus/server/org.syncevolution.service.in:
	* src/dbus/server/pim/org._01.pim.contacts.service.in:
	* src/dbus/server/server.am:
	* src/dbus/server/syncevo-dbus-server.service.in:

	Add a systemd user service as a backend for the D-Bus session
	services

2016-09-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ObexTransportAgent.cpp:

	ObexTransportAgent.cpp: properly shut down connection (FDO
	#91485)

2016-09-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp.rej:

	PbapSyncSource.cpp.rej: remove from repo

2016-09-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	gdbusxx/gdbus-cxx-bridge.h: avoid copying of parameter

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* configure.ac:
	* src/backends/evolution/EvolutionCalendarSourceRegister.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionContactSourceRegister.cpp:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/dbus/server/server.cpp:
	* src/shlibs.local:
	* src/src.am:
	* src/syncevo/ObexTransportAgent.cpp:
	* src/syncevo/eds_abi_wrapper.cpp:
	* src/syncevo/eds_abi_wrapper.h:
	* src/syncevo/icalstrdup.c:
	* src/syncevo/icalstrdup.h:
	* src/syncevo/icaltz-util-wrapper.c:
	* src/syncevo/icaltz-util.c:
	* src/syncevo/icaltz-util.h:
	* src/syncevo/installcheck-local.sh:
	* src/syncevo/syncevo.am:

	syncevolution.org: compile on Ubuntu Trusty, libical v1/v2
	compatibility

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:

	libsyncevolution: load backends in function instead of
	constructor

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* src/syncevo/SyncSource.cpp:

	Cmdline.cpp: optionally show debug output in --version output

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/syncevo.am:

	autotools: link libsyncevolution against libpthread explicitly

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/carddav.vcf:
	* test/testcases/carddav.vcf.googlecontacts.tem.patch:

	carddav testing: only use test cases with REV

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/file/FileSyncSource.cpp:
	* test/test-dbus.py:

	D-Bus testing: fix slowing down file sources

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	test-dbus.py: adapt to modified dbus-monitor output

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	sys.supp: ignore g_dbus_connection_new_sync

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: disable rpm packaging

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: don't run tests unless explicitly enabled

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: fix XDG dir fallback

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: make published test results world-readable

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/src.am:
	* src/syncevo/syncevo.am:
	* test/test.am:

	autotools: allow extending core linker flags

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/src.am:
	* src/syncevo/syncevo.am:
	* test/test.am:

	autotools: use cppcheck.pc

2016-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/dbus/server/notification-backend-libnotify.cpp:

	syncevolution.org: drop binary compatibility hack for old
	libnotify

2016-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	ClientTest.cpp: fix clang warning

2016-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/dbus-sync.cpp:

	dbus-sync.cpp: fix cppcheck performance warning

2016-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:

	gdbus-cxx-bridge.h: avoid false cppcheck warning

2016-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/SyncContext.cpp:

	compilation: fix std::find() == 0 misuse

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	runtests.py: better logging of failed command

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	compilation: fix const/non-const issue under C++14/gcc 6

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:

	compilation: fix push_back ambiguity under gcc 6/C++14

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session.h:
	* src/syncevo/Logging.h:
	* src/syncevo/StringDataBlob.h:

	compilation: fix boost::shared_ptr->bool issue under C++14

2016-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	autotools: disable timezone override hack when using libical v2

2015-08-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/util.cpp:

	mkdir_p: support non-readable parent directories (FDO #91000)

2015-06-05  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.5.1

2015-06-02  frdsktp  <frdsktp@genodeftest.de>

	* test/syncevo-http-server.py:

	syncevo-http-server: stop using deprecated twisted.web.error (FDO
	#90419)

2015-06-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* test/test-dbus.py:

	syncing: avoid segfault for invalid text inside items (FDO
	#90118)

2015-06-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/file/FileSyncSource.cpp:
	* src/backends/file/FileSyncSource.h:
	* test/test-dbus.py:

	file backend: log item manipulation

2015-06-01  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: check sync result on both sides of
	TestLocalSync.testSync

2015-06-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LocalTransportAgent.h:

	command line: preserve log prefix of target side of local sync

2015-04-16  Niels Ole Salscheider  <niels_ole@salscheider-online.de>

	* src/backends/akonadi/configure-sub.in:
	* src/backends/kde/configure-sub.in:

	Use ${PKG_CONFIG} instead of pkg-config.

2015-02-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:

	WebDAV: handle 403 during Google OAuth authentication

2015-02-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/signon-accounts.cpp:
	* src/backends/signon/signon.h:
	* src/backends/signon/signonRegister.cpp:

	signon: ensure consistent use of "username" provider prefix

2014-12-12  Alberto Mardegan  <alberto.mardegan@canonical.com>

	* src/backends/signon/signon-accounts.cpp:

	signon-accounts: implement getCredentials

2014-12-12  Alberto Mardegan  <alberto.mardegan@canonical.com>

	* src/backends/signon/signon-accounts.cpp:

	signon-accounts: pass the AgAuthData to the SignonAuthProvider

2014-12-12  Alberto Mardegan  <alberto.mardegan@canonical.com>

	* src/backends/signon/signon-accounts.cpp:

	signon-accounts: do not create identities on the fly

2014-11-28  Alberto Mardegan  <alberto.mardegan@canonical.com>

	* src/backends/goa/goa.cpp:
	* src/backends/oauth2/oauth2.cpp:
	* src/backends/signon/signon-accounts.cpp:
	* src/backends/signon/signon.cpp:
	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:

	AuthProvider: removed failure count

2014-12-05  Alberto Mardegan  <alberto.mardegan@canonical.com>

	* src/backends/signon/signon-accounts.cpp:
	* src/backends/signon/signon.am:
	* src/backends/signon/signon.cpp:

	signon: move libaccounts-based plugins into their own source file

2015-02-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	CalDAV: more efficient "is empty" check (FDO #86335)

2015-02-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.h:

	WebDAV: utility class for ne_status

2015-02-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:

	WebDAV: enhance report handling (status, aborting)

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: send Basic Auth via http in some cases (FDO #57248)

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	wrappercheck.sh: enhanced killing of daemon

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	wrappercheck.sh: route daemon stderr through logger.py

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	wrappercheck.sh: add --wait-for-dbus-daemon

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	wrappercheck.sh: avoid kill without process pids

2015-02-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/IcalTest.cpp:

	testing: relax SyncEvo::IcalTest::testTimezone

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore dl error on Ubuntu Vivid

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	PlainGStr: fix incorrect destruction when using reset()

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/util.cpp:

	StringPrintfV: add missing va_end()

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/object.c:

	gdbus: add missing va_end()

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PullParams: cleaner initialization

2015-03-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SuspendFlags.cpp:
	* src/syncevo/SuspendFlags.h:
	* src/syncevo/SyncContext.cpp:

	shutdown: fix memory allocation deadlock

2015-03-03  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	syncevolution.org binaries: allow libical1a

2015-02-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: fix TrackGLib::ref()

2014-12-04  Tino Mettler  <tino+debian@tikei.de>

	* test/syncevo-http-server.py:

	Use TLS instead of SSLv3

2014-12-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: fix compilation on s390 32bit, II (Fedora Bug
	#1163188)

2014-11-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: fix compilation on s390 32bit (Fedora Bug #1163188)

2014-10-31  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.5

2014-10-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/signon.cpp:
	* src/syncevo/GVariantSupport.cpp:

	signon: fix HashTable2Variant() ref counting (TC-1667)

2014-10-30  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	autotools: bump libsynthesis requirement

2014-10-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	sync: ignore unnecessary username property

2014-10-24  Patrick Ohly  <patrick.ohly@intel.com>

	* test/logger.py:
	* test/wrappercheck.sh:

	wrappercheck: augment output of daemon with time stamps

2014-10-24  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	wrappercheck: fix repeated daemon startup

2014-10-24  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	wrappercheck: augment output

2014-10-24  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	wrappercheck: configurable sleep after daemon launch

2014-10-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:

	D-Bus server: fix unreliable shutdown handling

2014-10-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: add GIOChannelCXX

2014-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	testing: include stack backtrace when killing stuck process

2014-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore some minor leaks

2014-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/modify-local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/modify-remote:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/remote-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/modify-local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/modify-remote:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/remote-synced:

	testing: Google testcases must work with and without
	libphonenumber support in EDS

2014-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	testing: ignore valid Akonadi vCard changes

2014-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_contact.vcf.filekde.tem.patch:

	testing: ignore Akonadi encodig issues

2014-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: ignore Akonadi
	Client::Sync::file_event::testAddBothSides failures

2014-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:
	* test/runtests.py:

	testing: ignore Memotoo eds_memo update failures

2014-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: give valgrind more time in SyncTests::testTimeout()

2014-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: allow testSync to run longer udner valgrind

2014-09-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/00looptimeout.xml:
	* src/syncevo/configs/scripting/client/00timeout.xml:

	scripting: prevent premature loop timeouts

2014-09-18  Patrick Ohly  <patrick.ohly@intel.com>

	* test/client-test-main.cpp:

	testing: run one test per client-test instance

2014-05-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/server.am:

	PIM: always install examples

2014-05-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/search.py:
	* src/dbus/server/pim/examples/sync.py:

	PIM: make examples work with recent Python GNOME

2014-05-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/signonRegister.cpp:

	signon: fix providersignon.so

2014-10-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM testing: use file source similar to PBAP (part of FDO #84710)

2014-10-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/05vcard-merge.xml:

	vcard: fix caching of PBAP contacts (FDO #84710)

2014-10-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/05vcard-merge.xml:

	vcard: remove duplicate loops

2014-09-22  Mateusz Polrola  <mateusz.polrola@gmail.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: Wrong behaviour when SYNCEVOLUTION_PBAP_CHUNK_TRANSFER_TIME
	is <= 0.

2014-09-10  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.4.99.4

2014-09-11  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_memo.ics.memotoo.tem.patch:

	testing: ignore Memotoo eds_memo failure

2014-09-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/oauth2/README:
	* src/backends/oauth2/configure-sub.in:
	* src/backends/oauth2/oauth2.am:
	* src/backends/oauth2/oauth2.cpp:
	* src/backends/oauth2/oauth2Register.cpp:

	oauth2: refresh token -> oauth2

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/oauth2/oauth2.cpp:

	oauth2: handle errors during password update

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/oauth2/README:
	* src/backends/oauth2/oauth2.cpp:

	oauth2: use simpler username syntax

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GVariantSupport.cpp:
	* src/syncevo/GVariantSupport.h:

	GVariant: also support conversion to simpler string hash

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/oauth2/README:

	oauth2: README update

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/oauth2/configure-sub.in:
	* src/backends/oauth2/oauth2.cpp:

	oauth2: support json.pc and json-c.pc

2014-08-29  Mateusz Polrola  <mateusz.polrola@gmail.com>

	* src/backends/oauth2/README:
	* src/backends/oauth2/configure-sub.in:
	* src/backends/oauth2/oauth2.am:
	* src/backends/oauth2/oauth2.cpp:
	* src/backends/oauth2/oauth2.h:
	* src/backends/oauth2/oauth2Register.cpp:

	oauth2: new backend using libsoup/libcurl

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SoupTransportAgent.cpp:

	SoupTransport: avoid uninitialized memory read

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SoupTransportAgent.cpp:

	SoupTransport: drop CA file check

2014-09-08  Mateusz Polrola  <mateusz.polrola@gmail.com>

	* src/backends/goa/goa.cpp:
	* src/backends/signon/signon.cpp:
	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:
	* src/syncevo/SyncConfig.cpp:

	identity: allow using and updating the "password" property

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/signon.cpp:
	* src/dbus/server/pim/folks.h:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/GVariantSupport.cpp:
	* src/syncevo/GVariantSupport.h:
	* src/syncevo/syncevo.am:

	GVariant: move common code into libsyncevolution

2014-09-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: use raw text items

2014-09-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/configs/datatypes/40raw-fieldlist.xml:
	* src/syncevo/configs/datatypes/42-raw-types.xml:

	datatypes: raw text items with minimal conversion (FDO #52791)

2014-09-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.cpp:

	SyncSource: flush map items less frequently

2014-09-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LocalTransportAgent.h:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:

	local sync: exchange SyncML messages via shared memory

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncContext.cpp:

	config: sanitize maxMsgSize and maxObjSize while reading from
	config

2014-09-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:

	GDBus libdbus: add 64 and double

2014-09-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/TmpFile.cpp:
	* src/syncevo/TmpFile.h:

	TmpFile: support IPC via shared memory mapping

2014-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:
	* test/test-dbus.py:

	testing: cover disk write avoidance

2014-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:
	* src/syncevo/SyncML.cpp:
	* src/syncevo/SyncML.h:

	local sync: avoid updating meta data when nothing changed

2014-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/TrackingSyncSource.cpp:
	* src/syncevo/TrackingSyncSource.h:

	TrackingSyncSource: avoid .ini write when nothing changes

2014-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/IniConfigNode.cpp:

	IniConfigNode: avoid writing unmodified data

2014-09-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	SyncContext: fix session cleanup

2014-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* test/ClientTest.cpp:

	SyncSource: add operation signal handler return code

2014-08-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:

	engine: avoid flipping configdate

2014-08-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:
	* src/dbus/server/pim/examples/sync.py:
	* src/dbus/server/pim/manager.cpp:

	PIM: include CardDAV in CreatePeer()

2014-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PIM: handle SuspendPeer() before and after transfer (FDO #82863)

2014-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM: fix potential segfault during shutdown

2014-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/sync.py:

	PIM: add suspend/resume/abort to sync.py

2014-08-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/sync.py:

	PIM: fix sync.py --sync-flags

2014-08-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/MapSyncSource.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:

	VirtualSyncSource, MapSyncSource: implement m_isEmpty

2014-08-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/MapSyncSource.h:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* test/test-dbus.py:

	command line: revise usability checking of datastores

2014-08-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session-helper.cpp:
	* test/test-dbus.py:

	D-Bus server: preserve log prefix

2014-08-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:

	testing: include prefix in TestCmdline tests

2014-08-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.cpp:

	InactiveSyncSource: simpler implementation

2014-07-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionMemoSource.cpp:
	* src/backends/evolution/EvolutionMemoSource.h:
	* src/backends/evolution/evolution.am:

	EDS: memo syncing as iCalendar 2.0 (FDO #52714)

2014-09-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/11calendar.xml:

	datatypes: text/calendar+plain revised heuristic, II

2014-07-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/datatypes/12calendar-types.xml:
	* src/syncevo/configs/scripting/11calendar.xml:

	datatypes: text/calendar+plain revised heuristic

2014-07-28  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* README.rst:
	* src/backends/activesync/ActiveSyncSource.h:
	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/akonadi/README:
	* src/backends/sqlite/README:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/dbus/server/connection.cpp:
	* src/dbus/server/read-operations.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* test/test-dbus.py:

	source -> datastore rename, improved terminology

2014-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/templates/contexts/Google-Calendar.ini:
	* src/templates/contexts/Google.ini:
	* src/templates/servers/Google-Contacts.ini:
	* test/test-dbus.py:

	Google: remove SyncML template, combine CalDAV/CardDAV

2014-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: support multiple URLs in syncURL

2014-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/syncevo-webdav-lookup.sh:

	WebDAV: avoid DNS SRV retry loop for aliases

2014-07-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:

	PIM testing: remove asyncError test

2014-07-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LocalTransportAgent.h:
	* test/test-dbus.py:

	local sync: allow config name in syncURL=local://

2014-07-24  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix race condition in TestLocalSync.testNoParent

2014-07-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:

	config: allow storing credentials for email address

2014-07-23  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.4.99.3

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/dbus/server/pim/testpim.py:
	* src/syncevo/SyncContext.cpp:

	ephemeral sync: don't write binfile client files (FDO #55921)

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: fix target session checking

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GValueSupport.h:

	glib: avoid GValue compile problem

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/dbus/server/pim/manager.cpp:

	D-Bus server: remove some dead code

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:
	* test/ClientTest.h:

	testing: avoid undefined vararg after reference

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SuspendFlags.cpp:

	suspend flags: try harder to write data in signal handler

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:

	testing: check symlink() result (FDO #79316)

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test.am:

	autotools: fix linking of dbus-client-server against pcre

2014-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/glib/test.c:
	* src/syncevo/SyncContext.cpp:
	* test/dbus-client-server.cpp:

	glib: avoid deprecated g_type_init and g_thread_init

2014-07-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/dbus/server/dbus-sync.cpp:

	engine: enable batching by default (FDO #52669)

2014-07-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/CardDAVSource.cpp:
	* src/backends/webdav/CardDAVSource.h:

	CardDAV: implement read-ahead

2014-07-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/sync.py:

	PIM: sync.py --sync-flags

2014-07-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:

	PIM: PBAP chunk transfer flags in SyncPeerWithFlags()

2014-07-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM: better error messages for SyncPeerWithFlags

2014-07-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/util.h:

	util: ToString()

2014-07-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/README:

	PBAP: typo fix in README

2014-07-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/webdav.am:
	* test/test.am:

	testing: include syncevo-webdav-lookup in test binaries

2014-07-21  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test.am:

	testing: uninstall synclog2html

2014-07-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/CalDAVSource.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/backends/webdav/README:
	* src/backends/webdav/WebDAVSource.cpp:
	* test/runtests.py:
	* test/synccompare.pl:
	* test/testcases/eds_event.ics.googlecalendar.tem.patch:

	Google Calendar: remove child hack, improve alarm hack (FDO
	#63881)

2014-07-03  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/remote-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/remote-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/remote:

	testing: refresh test data

2014-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: enhance PBAP caching test

2014-07-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/remoterules/00_syncevolution.xml:

	datatypes: fix contact caching

2014-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/datatypes/02vcard-types.xml:
	* src/syncevo/configs/scripting/05vcard-merge.xml:

	datatypes: fix vCard handling

2014-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/05vcard-merge.xml:

	datatypes: avoid PHOTO corruption during merge (FDO #77065)

2014-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: ignore some more Akonadi runtime files

2014-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	testing: ignore minor leak when using DLT

2014-07-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: silence cppcheck warnings

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/README:

	PBAP: transfer in chunks (FDO #77272)

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: clean up internal PullAll API

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/README:

	PBAP: mention SyncPeerWithFlags in README

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: remove transfer via pipe

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/MultiplexConfigNode.h:
	* src/syncevo/SyncConfig.h:

	remove unused member variables

2014-07-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session.cpp:

	D-Bus server: fix compiler warning

2014-07-01  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: use inline cppcheck suppressions for libsynthesis

2014-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/util.cpp:

	cppcheck: suppress if check warning

2014-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/object.c:
	* src/syncevo/util.cpp:

	cppcheck: suppress NULL warning in printf util

2014-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:

	D-Bus server: remove redundant m_server

2014-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: fix cppcheck control flow warning

2014-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: fix cppcheck performance warning

2014-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:
	* test/ClientTest.h:

	testing: fix cppcheck ClientTest::registerTests() warning

2014-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	autotools: fix PIM Manager link issue on Debian Testing

2014-06-25  Mateusz Polrola  <mateusz.polrola@gmail.com>

	* configure.ac:

	autotools: fix compilation with recent libphonenumber

2014-07-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:

	PIM: fix invalid call to folks_note_field_details_new

2014-07-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: fix phone number normalization

2014-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: fix libphonenumer patch

2014-06-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: avoid empty field filter

2014-05-23  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.4.99.2

2014-05-20  Mateusz Polrola  <mateusz.polrola@gmail.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: fixed compilation error when using libphonenumber from
	revision >= 586

2014-05-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/xmlrpc/XMLRPCSyncSourceRegister.cpp:

	xmlrpc: fix compile problem

2014-05-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/README:
	* src/backends/signon/configure-sub.in:
	* src/backends/signon/signon.am:
	* src/backends/signon/signon.cpp:
	* src/backends/signon/signonRegister.cpp:

	signon: make Accounts optional

2014-05-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/accounts/google.provider.in:
	* src/backends/signon/configure-sub.in:
	* src/backends/signon/signon.cpp:

	gSSO: adapt to gSSO >= 2.0

2014-05-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: fix database scan on iCloud

2014-05-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/Google-CardDAV.vcf:
	* src/backends/webdav/Google-Gmail.vcf:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/google-caldav-api-tos.txt:
	* src/backends/webdav/google-terms-of-service.txt:

	WebDAV: support redirects between hosts and DNS SRV lookup based
	on URL

2014-05-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.h:

	WebDAV: enhanced URI comparisons

2014-05-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:

	WebDAV: don't retry after 501 error

2014-05-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:

	WebDAV: send "User-Agent: SyncEvolution"

2014-05-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:

	WebDAV: avoid potential crash

2014-05-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.h:

	WebDAV: refactor and fix DNS SRV lookup

2014-05-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/syncevo-webdav-lookup.sh:

	syncevo-webdav-lookup: report when DNS entry does not exist

2014-05-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/templates/servers/Funambol.ini:
	* test/test-dbus.py:
	* test/test-dbus/auto-sync/config/syncevolution/default/peers/scheduleworld/config.ini:

	config templates: Funambol URLs

2014-05-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: enable sync tests for Google CardDAV

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/src.am:
	* test/ClientTest.cpp:
	* test/ClientTest.h:
	* test/test.am:
	* test/testcases/synctests/apple/eds_contact/testDownload/local:
	* test/testcases/synctests/apple/eds_contact/testDownload/modify-local:
	* test/testcases/synctests/apple/eds_contact/testDownload/remote:
	* test/testcases/synctests/apple/eds_contact/testDownload/remote-synced:
	* test/testcases/synctests/apple/eds_contact/testUpload/local:
	* test/testcases/synctests/apple/eds_contact/testUpload/local-synced:
	* test/testcases/synctests/apple/eds_contact/testUpload/modify-remote:
	* test/testcases/synctests/apple/eds_contact/testUpload/remote:
	* test/testcases/synctests/edseds/eds_contact/testUpload/local:
	* test/testcases/synctests/edseds/eds_contact/testUpload/remote:
	* test/testcases/synctests/edseds/eds_event/testUpload/local:
	* test/testcases/synctests/edseds/eds_event/testUpload/remote:
	* test/testcases/synctests/googlecontacts/eds_contact/testDownload/README:
	* test/testcases/synctests/googlecontacts/eds_contact/testDownload/local:
	* test/testcases/synctests/googlecontacts/eds_contact/testDownload/modify-local:
	* test/testcases/synctests/googlecontacts/eds_contact/testDownload/remote:
	* test/testcases/synctests/googlecontacts/eds_contact/testDownload/remote-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/modify-local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/modify-remote:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateLocalWins/remote-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/README:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/modify-local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/modify-remote:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpdateRemoteWins/remote-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/README:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/local:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/local-synced:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/modify-remote:
	* test/testcases/synctests/googlecontacts/eds_contact/testUpload/remote:

	testing: simulate remote item manipulation

2014-05-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/05vcard-merge.xml:

	vcard profile: avoid data loss during merging

2014-05-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/11vcard.xml:

	vcard profile: avoid X-ABLabel without a real property value

2014-05-16  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/syncevo/configs/datatypes/00vcard-fieldlist.xml:
	* src/syncevo/configs/datatypes/01vcard-profile.xml:
	* src/syncevo/configs/remoterules/00_have_ablabel.xml:
	* src/syncevo/configs/remoterules/00_have_evolution_ui_slot.xml:
	* src/syncevo/configs/remoterules/00_syncevolution.xml:
	* src/syncevo/configs/remoterules/all.xml:
	* src/syncevo/configs/remoterules/evolution.xml:
	* src/syncevo/configs/remoterules/local-storage.xml:
	* src/syncevo/configs/scripting/11vcard.xml:
	* test/runtests.py:
	* test/synccompare.pl:
	* test/test-dbus.py:
	* test/test.am:
	* test/testcases/carddav.vcf:
	* test/testcases/carddav.vcf.googlecontacts.tem.patch:

	CardDAV: use Apple/Google/CardDAV vCard flavor

2014-05-06  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	synccompare: properly support quoted string parameters

2014-05-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	synccompare: ignore remaining X-ABLabel in group

2014-05-16  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	synccompare: IMPP + X-ABLabel:Other normalization

2014-05-06  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	synccompare: handle grouping

2014-05-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: fix server-specific workarounds

2014-05-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: avoid redundant work

2014-05-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/datatypes/00vcard-fieldlist.xml:
	* src/syncevo/configs/datatypes/01vcard-profile.xml:

	vcard profile: remove unused fields

2014-05-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/testcases.am:
	* test/test.am:

	autotools: avoid redundancy in installation of test files

2014-05-05  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: relax gnutls leak suppression

2014-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:
	* test/testcases/eds_event.ics.apple.tem.patch:

	testing: ignore Apple Calendar Server 5.2 VTIMEZONE bug

2014-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	synccompare: optionally ignore VTIMEZONE definitions

2014-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.h:

	WebDAV: use server's order when listing collections

2014-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: improved database search (Google, Zimbra)

2014-04-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/webdav.am:

	WebDAV: fix installation of syncevo-webdav-lookup

2014-04-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/syncevo-webdav-lookup.sh:

	WebDAV: DNS lookup script depends on bash

2014-04-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:

	D-Bus server: delay message processing until server is running

2014-04-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: copy constructor for GDBusConnectionPtr

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: try harder to send email

2014-04-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test.am:

	autotools: remove duplicate eds_contact.vcf

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: use vCard UID handling in engine

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.cpp:
	* src/syncevo/configs/datatypes/00vcard-fieldlist.xml:
	* src/syncevo/configs/datatypes/01vcard-profile.xml:
	* src/syncevo/configs/remoterules/local-storage.xml:
	* src/syncevo/configs/scripting/11vcard.xml:

	engine: UID support in contact data

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/datatypes/01vcard-profile.xml:

	engine: clean up contacts profile

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.h:

	WebDAV: handle read-only collections

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: better INFO messages about URL handling

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: databases are read-only

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:

	command line: read-only databases and --print-databases

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.h:

	SyncSource: allow marking databases as read-only

2014-04-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix TestFileNotify

2014-04-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:

	D-Bus server: enhance logging of file modification

2014-04-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/SynthesisDBPlugin.cpp:

	SyncSource: add source name to all exception handling

2014-04-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Logging.cpp:

	logging: avoid empty " :" prefix

2014-04-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncCalendarSource.cpp:
	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/akonadi/akonadisyncsource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionMemoSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.h:
	* src/backends/file/FileSyncSource.cpp:
	* src/backends/gnome/GNOMEPlatform.cpp:
	* src/backends/kcalextended/KCalExtendedSource.cpp:
	* src/backends/kde/KDEPlatform.cpp:
	* src/backends/maemo/MaemoCalendarSource.cpp:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/qtcontacts/QtContactsSource.cpp:
	* src/backends/signon/signon.cpp:
	* src/backends/sqlite/SQLiteContactSource.cpp:
	* src/backends/sqlite/SQLiteUtil.cpp:
	* src/backends/sqlite/SQLiteUtil.h:
	* src/backends/webdav/CalDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/xmlrpc/XMLRPCSyncSource.cpp:
	* src/dbus/server/main.cpp:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/sync-helper.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/CmdlineSyncClient.cpp:
	* src/syncevo/EDSClient.h:
	* src/syncevo/Exception.cpp:
	* src/syncevo/Exception.h:
	* src/syncevo/FilterConfigNode.cpp:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/MapSyncSource.cpp:
	* src/syncevo/PrefixConfigNode.cpp:
	* src/syncevo/SafeConfigNode.cpp:
	* src/syncevo/SafeOstream.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/eds_abi_wrapper.cpp:
	* src/syncevo/syncevo.am:
	* src/syncevo/util.cpp:
	* src/syncevo/util.h:
	* test/dbus-client-server.cpp:

	code restructing: Exception, throwError()

2014-04-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.h:

	DAV: enhanced database search

2014-04-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/syncevo/SyncSource.h:
	* test/ClientTest.cpp:
	* test/testcases/eds_contact.vcf:
	* test/testcases/eds_contact.vcf.Ovi.tem.patch:
	* test/testcases/eds_contact.vcf.apple.tem.patch:
	* test/testcases/eds_contact.vcf.exchange.tem.patch:
	* test/testcases/eds_contact.vcf.google.tem.patch:
	* test/testcases/eds_contact.vcf.googlecontacts.tem.patch:
	* test/testcases/eds_contact.vcf.memotoo.tem.patch:
	* test/testcases/eds_contact.vcf.mobical.tem.patch:
	* test/testcases/eds_contact.vcf.oracle.tem.patch:
	* test/testcases/eds_contact.vcf.syncevolution.tem.patch:
	* test/testcases/eds_contact.vcf.synthesis.tem.patch:
	* test/testcases/eds_contact.vcf.yahoo.tem.patch:
	* test/testcases/eds_contact.vcf.zyb.tem.patch:

	WebDAV: do not mangle UID when sending items

2014-04-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.h:
	* test/runtests.py:

	DAV: more efficient item creation

2014-04-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	DAV: additional log message

2014-04-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.h:

	DAV: eliminate m_davProps member

2014-04-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp.orig:

	PBAP: remove obsolete .orig source file

2014-04-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/addressbook/AddressBookConstants.cpp:
	* src/backends/addressbook/AddressBookSource.cpp:
	* src/backends/addressbook/AddressBookSource.h:
	* src/backends/addressbook/AddressBookSourceRegister.cpp:
	* src/backends/addressbook/addressbook.am:
	* src/backends/addressbook/configure-sub.in:

	addressbook: removing iOS support

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:

	command line: fix --update from directory

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: further Akonadi parallel test fixes

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: more verbose HTTP server testing

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: more logging around directory handling

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore ESourceRegistry unref leak

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/valgrindcheck.sh:
	* test/wrappercheck.sh:

	testing: ignore locale when invoking certain shell tools

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.h:
	* test/ClientTestAssert.h:

	testing: replace CT_ASSERT_TRUE

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: use simpler shell for result checking

2014-04-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/icaltz-util.c:

	ical: remove dead assignment

2014-04-01  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.4.99.1

2014-03-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LogRedirect.cpp:

	LogRedirect: safeguard against memory corruption

2014-03-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSource.h:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LocalTransportAgent.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/TransportAgent.h:

	PBAP: Suspend/ResumeSync() (FDO #72112)

2014-03-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/sync.py:

	PIM example: fix typo

2014-02-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.cpp:
	* src/gdbus/gdbus-cxx-bridge.h:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/gdbusxx/gdbusxx.am:
	* src/gdbusxx/test/example.cpp:
	* src/syncevo/ForkExec.cpp:
	* test/dbus-client-server.cpp:

	D-Bus: use streams for direct IPC with GIO

2014-01-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GuardFD.h:
	* src/syncevo/syncevo.am:

	GuardFD: smart pointer for file descriptors

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/syncevo.am:

	GSignondPipeStream: only compile for GDBus GIO

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/gsignond-pipe-stream.cpp:

	GSignondPipeStream: avoid depending on newer glib

2014-01-27  Imran Zaman  <imran.zaman@linux.intel.com>

	* configure.ac:
	* src/syncevo/gsignond-pipe-stream.cpp:
	* src/syncevo/gsignond-pipe-stream.h:
	* src/syncevo/syncevo.am:

	GSignondPipeStream: utility class for D-Bus over file descriptor

2014-01-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/pim/testpim.py:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:

	PIM: Suspend/ResumeSync() (part of FDO #72112)

2014-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/pim/README:
	* src/dbus/server/pim/examples/sync.py:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/pim/testpim.py:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:
	* src/dbus/server/source-progress.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* test/test-dbus.py:

	PIM: enhanced progress notifications (FDO #72114)

2014-01-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:
	* src/gdbusxx/gdbus-cxx-bridge.h:

	D-Bus GIO + libdbus: support structs with base struct

2014-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* test/test-dbus.py:

	sync output: hide "<source>: started" INFO messages

2014-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/timer.h:

	D-Bus server: use monotonic time for timeouts

2014-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: handle test data without photo data

2014-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* po/POTFILES.skip:
	* src/dbus/server/pim/testpim.py:

	PIM testing: better timeFunction()

2014-01-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	D-Bus GIO: variant with more types

2014-01-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Timespec.h:

	Timespec: in-place resetMonotonic() and resetSystem()

2014-01-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/pim/testpim.py:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:

	PIM: add SyncPeerWithFlags() and 'pbap-sync' flag (FDO #70950)

2014-01-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/syncevo/TmpFile.cpp:
	* src/syncevo/TmpFile.h:

	PBAP: transfer data via pipe (part of FDO #72112)

2014-04-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/configure-sub.in:

	signon: fix build

2014-03-31  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.4.1

2014-03-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.cpp:

	EDS: only load one backend plugin of each kind

2014-03-27  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix testAutoSyncNoNetworkManager

2014-03-27  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: extra sanity checks before starting daemon

2014-03-27  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: updated valgrind supressions for Debian Testing and
	Ubuntu Saucy

2014-03-27  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: enable dbug mode when running syncevo-http-server

2014-03-27  Patrick Ohly  <patrick.ohly@intel.com>

	* test/syncevo-http-server.py:

	http server: include time stamps in debug mode

2014-03-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: fix akonadi.db creation problem

2014-03-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resultchecker.py:
	* test/runtests.py:

	testing: split up local testing

2014-03-21  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	testing: create XDG_RUNTIME_DIR in dbus-session.sh

2014-03-21  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	testing: fix empty DBUS_SESSION_BUS_PID in dbus-session.sh

2014-03-21  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	testing: remove debug logging from dbus-session.sh

2014-03-31  Patrick Ohly  <patrick.ohly@intel.com>

	* test/valgrindcheck.sh:

	testing: use absolute path for valgrind log file

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	syncing: remember original path to session dir

2014-03-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix testNoParent

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: increase timeouts

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_event.ics:
	* test/testcases/eds_event.ics.Ovi.tem.patch:
	* test/testcases/eds_event.ics.apple.tem.patch:
	* test/testcases/eds_event.ics.exchange.tem.patch:
	* test/testcases/eds_event.ics.googleactivesync.tem.patch:
	* test/testcases/eds_event.ics.googlecalendar.tem.patch:
	* test/testcases/eds_event.ics.nokia_7210c.tem.patch:
	* test/testcases/eds_event.ics.radicale.tem.patch:

	testing: remove LANGUAGE from ATTENDEE

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	testing: ignore harmless data changes in Akonadi

2014-03-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: ignore one more Akonadi 404 failure

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: ignore filekde::file_contact::testItems test failures

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/akonadi/akonadisyncsource.cpp:
	* src/backends/akonadi/akonadisyncsource.h:

	Akonadi: support KDE Notes, enhanced "database" check

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/11calendar.xml:

	Akonadi: ensure that UID is set (FDO #74342)

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: disable "NoID" tests when source does not support
	iCalendar 2.0 semantic

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/akonadi/AkonadiSyncSourceRegister.cpp:

	Akonadi: disable testing of iCalendar 2.0 semantic

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	testing: simplify Akonadi server startup

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/syncevo-http-server.py:

	syncevo-http-server: remove D-Bus timeouts

2014-03-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	testing: optimize sleep 60 in wrapperchecks.h

2014-03-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: more SyncEvolution client/server combinations

2014-03-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: improved parallel testing of Akonadi

2014-03-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: support parallel testing of Akonadi

2014-03-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/akonadi/akonadisyncsource.cpp:

	Akonadi: avoid threading problem in HTTP server mode (FDO #75672)

2014-03-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/util.h:

	glib: adding GRunInMain() and GRunIsMain()

2014-03-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/src.am:
	* test/IcalTest.cpp:

	testing: check that we get the right VTIMEZONE

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/src.am:
	* src/syncevo/icaltz-util.c:
	* src/syncevo/icaltz-util.h:
	* src/syncevo/syncevo.am:

	ical: workaround for libical 1.0 builtin timezone change

2014-03-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/eds_abi_wrapper.cpp:

	ical: support overriding icaltimezone_get_component() in compat
	layer

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/eds_abi_wrapper.cpp:
	* src/syncevo/eds_abi_wrapper.h:

	ical compatibility: cover more symbols

2014-03-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/icaltz-util.c:

	ical: fix gcc 4.4 warning

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/icaltz-util.c:

	ical: fix memory leak in case of read error

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/icaltz-util.c:
	* src/syncevo/icaltz-util.h:

	ical: enable icaltz-util executable

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/icaltz-util.c:

	ical: unistd.h is needed for access()

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/icaltz-util.c:
	* src/syncevo/icaltz-util.h:

	ical: import icaltz-util

2014-03-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/eds_abi_wrapper.cpp:

	EDS: allow compat init before main()

2014-03-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:
	* test/sys.supp:

	testing: ignore some more leaks

2014-03-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/src.am:
	* test/runtests.py:

	testing: link client-test with original LDFLAGS

2014-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	autotools: fix dist checking

2014-03-02  Niels Ole Salscheider  <niels_ole@salscheider-online.de>

	* src/backends/akonadi/configure-sub.in:

	autotools: Add QtCore include path to KDEPIM_CFLAGS (FDO #75670)

2014-02-24  Tino Mettler  <tino+debian@tikei.de>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: include missing stdint.h

2014-02-14  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.4

2014-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* build/gen-git-version.sh:

	autotools: fix version check

2014-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: must ping server more often in testNoTerm

2014-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/installcheck-local.sh:

	autotools: fix temp file vulnerability during compilation
	(CVE-2014-1639)

2014-02-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: more debug output for testNoTerm

2014-02-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	testing: ignore repeated TZID suffices

2014-02-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: remove some debug print

2014-02-12  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: remove race condition in testNoParent

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_event.ics.googlecalendar.tem.patch:
	* test/testcases/google_event.ics:

	testing: ignore Google CalDAV backslash encoding problem

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: allow more time when running under valgrind

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore some minor (false) valgrind leaks

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: ignore Memotoo X-AIM merge failure

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: ignore Google CardDAV X- testRemoveProperties problem

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/akonadi/AkonadiSyncSourceRegister.cpp:

	testing: limit Akonadi unit testing

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ForkExec.cpp:
	* src/syncevo/util.cpp:

	glib: fix double-free of source tags

2014-02-11  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/syncevo/eds_abi_wrapper.cpp:
	* src/syncevo/eds_abi_wrapper.h:

	libical: compatibiliy mode for libical.so.0 and libical.so.1

2014-02-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:
	* test/resources.py:
	* test/runtests.py:

	testing: parallel runtests.py

2014-02-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	testing: more time for TestCmdline.testSyncOutput2

2014-02-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: wait for syncevo-http-server, enable more logging

2014-02-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:
	* test/test.am:

	testing: wait for background daemon in wrappercheck

2014-02-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	testing: wait for background daemon in wrappercheck

2014-02-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resultchecker.py:

	testing: more resilient resultchecker.py

2014-01-23  Patrick Ohly  <patrick.ohly@intel.com>


	Merge remote-tracking branch 'origin/for-master/release'

2014-01-20  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.3.99.7

2014-01-21  Patrick Ohly  <patrick.ohly@intel.com>

	* m4-repo/ax_boost_locale.m4:

	autotools: build issue with PIM Manager + boost-locale

2014-01-20  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.3.99.7

2014-01-20  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	autotools: fix rpm packages and description (FDO #73347)

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ForkExec.cpp:

	ForkExec: ignore unexpected SIGKILL

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	message resend: be more conservative

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: try to use EDS for E.164 normalization during locale
	change

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: fix failure in testLocaledPhone

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix and enhance TestHTTP

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/syncevo-http-server.py:

	syncevo-http-server: log port which is used

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.h:
	* test/ClientTestAssert.h:

	testing: help scan-tool by adding noreturn annotations

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: avoid false scan-tool warning

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:

	EDS: fix false clang warning

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SuspendFlags.cpp:

	SuspendFlags: avoid scan-build warning

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gnome-bluetooth/syncevolution.c:

	GNOME Bluetooth: fix false (?) buffer overflow

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:

	D-Bus server: avoid scan-tool false positive

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/sqlite/SQLiteContactSource.cpp:

	sqlite: dead code removal

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.h:
	* src/syncevo/SyncSource.h:

	core: mark error throwing or exit functions as SE_NORETURN

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/declarations.h:

	core: add SE_NORETURN

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/cppcheck-wrapper.sh:
	* test/runtests.py:

	testing: include cppcheck

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/sync-helper.cpp:
	* src/gdbus/watch.c:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* test/abort-redirect.cpp:

	cppcheck: suppress warnings

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: fix naming of log files in doCopy()

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: cppcheck redundant assignment

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.h:
	* test/client-test-main.cpp:

	testing: avoid unitialized members after constructor

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:

	local sync: avoid redundant ConfigNode instances

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gtk-ui/sync-ui.c:
	* src/gtk3-ui/sync-ui.c:

	GTK-UIs: avoid unnecessary variable initialization

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:

	GDBus libdbus: fix realloc error handling

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: fix cppcheck warning about uninitialized memory read

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/maemo/MaemoCalendarSource.cpp:
	* src/backends/maemo/MaemoCalendarSource.h:

	maemo: don't rely on close() to free resources

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:

	EDS contacts: better check SYNCEVOLUTION_EDS_ACCESS_MODE in
	constructor

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/dbus/server/pim/filtered-view.cpp:
	* src/dbus/server/pim/filtered-view.h:
	* src/dbus/server/session.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/SyncContext.cpp:

	cppcheck performance: function parameter should be passed by
	reference

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/SyncSource.cpp:

	cppcheck performance: possible inefficient checking for emptiness

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/maemo/MaemoCalendarSource.cpp:
	* src/backends/xmlrpc/XMLRPCSyncSource.cpp:
	* src/dbus/server/session.cpp:
	* src/syncevo/IniConfigNode.cpp:
	* src/syncevo/util.cpp:

	cppcheck performance: Prefer prefix ++/-- operators for
	non-primitive types.

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/addressbook/AddressBookSource.cpp:

	OS X Addressbook: ignore cppcheck warning

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSource.h:

	activesync: code cleanup (cppcheck)

2014-01-06  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* src/syncevo/eds_abi_wrapper.cpp:

	packaging: support EDS 3.10, fix dependencies

2014-01-06  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	packaging: remove redundant ADD_EXTRA_PACKAGES

2014-01-06  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	packaging: update syncevolution-kde dependencies

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	D-Bus testing: use different ports for http server tests

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resultchecker.py:
	* test/runtests.py:

	testing: separate distcheck

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: do not rely on "compile" being enabled

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: allow invoking runtest.py multiple times for the same
	platform

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: log PID of runtests.py

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resultchecker.py:

	testing: handle output.txt files with multiple entries per action

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resultchecker.py:

	testing: support result checking in platforms which have no
	pkg-config

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	testing: be more careful when cleaning up D-Bus session

2013-12-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: compile with lower priority

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: fix source checkout

2013-12-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: don't overwrite LD_LIBRARY_PATH and PATH

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: support make's jobserver to control number of processes

2013-12-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: use Murphy to control resource access during testing

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: automatically flush runtest.py output

2014-01-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: include timing information in runtest.py output

2013-12-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resultchecker.py:
	* test/runtests.py:

	testing: prepare running in incomplete chroots

2013-12-17  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* setup-variables.am:
	* src/dbus/server/server.am:
	* src/src.am:
	* src/testcases.am:
	* test/Makefile:
	* test/runtests.py:
	* test/test-dbus.py:
	* test/test.am:

	testing: update packaging and testing of pre-compiled binaries

2014-01-16  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: cover auto-sync + command line session (FDO
	#73562)

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: compatibility with Python < 2.7

2014-01-16  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix glib timeout duration

2014-01-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/timeout.h:

	D-Bus server: fix abort when mixing auto-sync and manual
	operations (FDO #73562)

2014-01-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:

	config: clarify autoSyncInterval

2014-01-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/syncevo.am:

	EDS: libsyncevolution.so no longer depends on EDS

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/connection.cpp:

	D-Bus server: accept WBXML with charset in incoming connections

2014-01-08  Patrick Ohly  <patrick.ohly@intel.com>

	* m4-repo/se_macros.m4:

	autotools: mark all .99 releases as pre-release

2014-01-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/signonRegister.cpp:

	signon: fix compilation with nothing enabled, II

2013-12-04  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	autotools: relax dist checking

2013-12-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/configure-sub.in:

	signon: add version check for UOA

2013-12-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/signon.am:

	signon: fix compilation with nothing enabled

2013-12-03  Alberto Mardegan  <alberto.mardegan@canonical.com>

	* src/backends/signon/accounts/google-caldav.service.in:
	* src/backends/signon/accounts/google-carddav.service.in:
	* src/backends/signon/configure-sub.in:
	* src/backends/signon/signon.am:
	* src/backends/signon/signon.cpp:
	* src/backends/signon/signon.h:
	* src/backends/signon/signonRegister.cpp:

	signon: add Ubuntu Online Accounts support

2013-12-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/signon.cpp:

	signon: fix compile error

2013-12-09  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resultchecker.py:
	* test/runtests.py:

	testing: prepare running in incomplete chroots

2013-12-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Logging.cpp:

	command line: randomly did not show output

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	NEWS, autotools: SyncEvolution 1.3.99.6

2013-12-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/goa/goa.cpp:

	GOA: fix usage with libdbus

2013-12-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: document known issue with obexd < 0.47

2013-12-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/sync.py:

	PIM: fix sync.py + multiple peers

2013-11-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/dbus/server/dbus-sync.cpp:

	engine: disable batching by default

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:
	* test/sys.supp:

	testing: ignore GNOME 3.8 leaks

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:
	* test/test-dbus.py:

	testing: include DLT in nightly testing

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	testing: ignore DLT leak

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LogDLT.cpp:

	DLT: fix minor memory leak

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	testing: always log to stderr by default in wrappercheck.sh

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	testing: fix test failures caused by syncebook/cal-2.so

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	testing: allow more time for shutdown under valgrind

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: fix linked items remove normal test

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* src/syncevo/eds_abi_wrapper.cpp:
	* src/syncevo/eds_abi_wrapper.h:

	compatibility hack: support libical.so.1

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Logging.cpp:

	logging: hide glib warnings from users

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/CalDAVSource.cpp:

	CalDAV: remove dead code

2013-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	autotools: fix libsynthesis version dependency

2013-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: add support for obexd 0.48

2013-10-30  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore g_socket_accept + cancel leak

2013-10-30  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore GIO thread leak, variant 2

2013-10-29  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	NEWS, autotools: SyncEvolution 1.3.99.6 preparations

2013-10-29  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore getaddrinfo valgrind warning

2013-10-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM: fix compiler warning

2013-10-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/test-dbus/broken-config/config/syncevolution/pim-manager.ini:
	* src/dbus/server/pim/testpim.py:

	PIM testing: check behavior with broken pim-manager.ini (FDO
	#70772)

2013-10-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM: ignore broken sort order in config (FDO #70772)

2013-10-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: cover pim-manager.ini handling during SetPeer() (FDO
	#70772)

2013-10-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM: fix incorrect write into pim-manager.ini (FDO #70772)

2013-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/full-view.h:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/locale-factory.cpp:
	* src/dbus/server/pim/locale-factory.h:
	* src/dbus/server/pim/testpim.py:

	PIM: explicitly re-calculate pre-computed data on locale change

2013-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	D-Bus testing: allow creating a private system bus

2013-07-22  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	D-Bus testing: avoid error message when
	/usr/bin/gnome-keyring-daemon is missing

2013-07-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/full-view.h:
	* src/dbus/server/pim/localed.py:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/testpim.py:

	PIM: adapt to locale changes at runtime (FDO #66618)

2013-07-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/localed-listener.cpp:

	D-Bus server: LocaledListener must not fail without system bus

2013-07-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/localed-listener.cpp:
	* src/dbus/server/localed-listener.h:
	* src/dbus/server/server.am:

	D-Bus server: utility class for localed D-Bus interface

2013-10-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/EDSClient.h:

	EDS: disable asynchronous creation of ESourceRegistry

2013-10-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: accent-insensitive and transliterated search (FDO #56524)

2013-10-22  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/dbus/server/org.syncevolution.service.in:
	* src/dbus/server/pim/org._01.pim.contacts.service.in:
	* src/dbus/server/server.am:
	* src/dbus/server/syncevo-dbus-server-startup.sh.in:

	D-Bus: configure option for overriding default logging

2013-10-01  Patrick Ohly  <patrick.ohly@intel.com>

	* README-DLT.rst:
	* configure.ac:
	* src/dbus/server/main.cpp:
	* src/dbus/server/server.am:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/sync-helper.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogDLT.cpp:
	* src/syncevo/LogDLT.h:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogStdout.cpp:
	* src/syncevo/Logging.cpp:
	* src/syncevo/Logging.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/syncevo.am:
	* test/test-dbus.py:

	logging: support DLT (FDO #66769)

2013-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: allow building without client-test

2013-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/syncevo.am:

	autotools: fix make error

2013-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	autotools: fix packaging of extra backends

2013-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/presence-status.h:

	D-Bus: fix compiler warning

2013-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/configure-sub.in:

	EDS: remove redundant libebook-contacts dependency

2013-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/configure-sub.in:

	ActiveSync: don't build Qt UI

2013-07-09  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	autotools: cppunit is optional

2013-10-02  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:
	* src/syncevo/EDSClient.cpp:
	* src/syncevo/EDSClient.h:
	* src/syncevo/SyncSource.cpp:
	* test/test-dbus.py:

	EDS: support dual-install of ebook/ecal backends for EDS < 3.6
	and EDS >= 3.6

2013-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/eds_abi_wrapper.cpp:
	* src/syncevo/eds_abi_wrapper.h:

	EDS: improve EDS compatibility mode

2013-10-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:

	EDS: SYNCEVOLUTION_EBOOK_QUERY env variable

2013-09-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/locale-factory.cpp:
	* src/dbus/server/pim/locale-factory.h:
	* src/dbus/server/pim/testpim.py:

	PIM: relax phone number matching

2013-10-24  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore fontconfig issue

2013-10-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: prevent accidental usage of PlainGStrArray []

2013-10-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.cpp:

	EDS: fix compile problem with boost and EDS > 3.36

2013-10-02  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:

	NEWS: typo fix

2013-10-01  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	autotools, NEWS: SyncEvolution 1.3.99.5

2013-09-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/glib/syncevo-marshal.list:
	* src/dbus/glib/syncevo-session.c:

	GTK/GTK3 UI: fix crash on 64 bit

2013-09-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gtk-ui/sync-ui.c:
	* src/gtk3-ui/sync-ui.c:

	GTK/GTK3 UI: fix crash when a sync runs while no service is
	selected

2013-09-26  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* m4-repo/ax_check_gnu_make.m4:
	* src/src.am:

	autotools: compile client-test with -g by default

2013-09-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/gnome/GNOMEPlatform.cpp:

	GNOME: work around GNOME keyring communication problem

2013-09-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/gnome/GNOMEPlatform.cpp:
	* src/backends/gnome/configure-sub.in:

	GNOME: clean up keyring access

2013-09-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resultchecker.py:
	* test/runtests.py:

	testing: cover owndrive.com = OwnCloud

2013-09-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/resultchecker.py:
	* test/runtests.py:

	testing: cover Google CardDAV

2013-09-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: support Google CardDAV, break Yahoo

2013-09-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_contact.vcf.googlecontacts.tem.patch:

	testing: ignore URL encoding issue in Google CardDAV

2013-09-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_contact.vcf.googlecontacts.tem.patch:

	testing: Google CardDAV + NOTE folding + colon escaping

2013-09-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_contact.vcf.googlecontacts.tem.patch:

	testing: Google CardDAV + NOTE + CHARSET

2013-09-16  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_contact.vcf.googlecontacts.tem.patch:

	testing: Google CardDAV does not support several properties

2013-09-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:
	* test/runtests.py:

	testing: preserve XDG dirs if located inside builddir

2013-09-16  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	testing: avoid output on stdout

2013-09-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	SyncContext: use AuthProvider

2013-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/goa/GOARegister.cpp:
	* src/backends/goa/README:
	* src/backends/goa/configure-sub.in:
	* src/backends/goa/goa.am:
	* src/backends/goa/goa.cpp:
	* src/backends/goa/goa.h:

	GOA: get OAuth2 tokens out of GNOME Online Accounts

2013-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:
	* test/test-dbus.py:

	testing: remove timeout= parameters from D-Bus method calls

2013-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: default timeout -> infinite

2013-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	SyncContext: use SimpleUserInterface without keyring access

2013-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/UserInterface.h:

	UserInterface: provide simple default implementation

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session.cpp:
	* src/syncevo/Cmdline.cpp:

	D-Bus server: password not stored in GNOME keyring or KWallet
	(FDO #66110)

2013-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/templates/clients/SyncEvolution.ini:

	templates: don't store username/password for SyncEvolution client

2013-09-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:

	Cmdline: add missing password lookup

2013-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:
	* test/sys.supp:

	testing: ignore GNOME keyring problems

2013-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/backends/gnome/configure-sub.in:
	* src/backends/kde/configure-sub.in:
	* src/syncevo/CmdlineSyncClient.cpp:
	* src/syncevo/CmdlineSyncClient.h:
	* src/syncevo/SyncConfig.cpp:

	config: revise default of the "keyring" property

2013-08-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/gnome/GNOMEPlatform.cpp:

	GNOME: add debug messages for GNOME Keyring

2013-08-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/kde/KDEPlatform.cpp:

	KDE: add debug messages around KWallet

2013-09-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/SyncConfig.cpp:

	logging: debug output for password handling

2013-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/README:
	* src/backends/signon/accounts/caldav.service-type:
	* src/backends/signon/accounts/carddav.service-type:
	* src/backends/signon/accounts/google-caldav.service.in:
	* src/backends/signon/accounts/google-carddav.service.in:
	* src/backends/signon/accounts/google.provider.in:
	* src/backends/signon/configure-sub.in:
	* src/backends/signon/signon.am:

	signon: README and example Google accounts files

2013-08-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/configure-sub.in:
	* src/backends/signon/signon.am:
	* src/backends/signon/signon.cpp:
	* src/backends/signon/signon.h:
	* src/backends/signon/signonRegister.cpp:

	signon: new backend using libgsignond-glib + libaccounts-glib

2013-07-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: support OAuth2

2013-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSourceRegister.cpp:

	WebDAV: testing a WebDAV source depends on password lookup

2013-07-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:

	config: add identity provider registry

2013-07-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:

	config: introduce AuthProvider

2013-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SynthesisDBPlugin.cpp:
	* src/syncevo/TransportAgent.cpp:
	* src/syncevo/syncevo.am:

	config: first step towards modular identity providers

2013-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: test indirect password lookup

2013-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/read-operations.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	config: selectively resolve username during indirect credential
	lookup

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:

	SyncConfig: implement "id" handling for reading and writing
	credentials

2013-08-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/UserInterface.cpp:
	* src/syncevo/UserInterface.h:

	ConfigPasswordKey: add toString()

2013-08-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/gnome/GNOMEPlatform.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/UserInterface.h:

	GNOME keyring: prevent empty "server" key in password lookup

2013-09-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:

	config: avoid empty server key during password lookup in keyring

2013-09-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* src/syncevo/SyncConfig.cpp:

	config: reuse existing node and tree instances

2013-09-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:

	SyncConfig: do not rely on creating of empty config during test

2013-09-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	SyncContext: avoid caching config tree for entire duration of
	client-test

2013-09-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ConfigTree.h:
	* src/syncevo/FileConfigTree.cpp:
	* src/syncevo/FileConfigTree.h:
	* src/syncevo/SingleFileConfigTree.cpp:
	* src/syncevo/SingleFileConfigTree.h:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/VolatileConfigTree.h:

	config: refactor root path handling

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/read-operations.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	SyncConfig: simplify password API

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:

	SyncSourceConfig: remove obsolete password methods

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/client-test-app.cpp:
	* src/syncevo/DBusTraits.h:
	* src/syncevo/IdentityProvider.h:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SynthesisDBPlugin.cpp:
	* src/syncevo/TransportAgent.cpp:

	config: user name -> identity

2013-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:

	SyncConfig: remove obsolete caching of passwords

2013-09-27  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore GIO socket leak introduced by GNOME 3.8

2013-08-09  SyncEvolution Nightly Testing  <syncevolution@syncevolution.org>

	* src/dbus/server/pim/testpim.py:

	PIM testing: fix test for sync running longer than auto shutdown
	period

2013-09-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/sync.py:

	PIM: fix D-Bus timeout problem in sync.py

2013-09-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/sync.py:

	PIM: fix UID usage in sync.py example

2013-09-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/pbap.am:

	PBAP: include README in source distribution

2013-08-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: do not end Bluez5 transfer prematurely

2013-09-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	testing: make testSession3 reliable again, finish server startup
	change

2013-09-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/interfaces/interfaces.am:

	autotools: fix race condition related to src/dbus/interfaces docs

2013-09-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_contact.vcf.exchange.tem.patch:

	testing: fix Exchange eds_contact:testItems

2013-09-04  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore GNOME keyring leak also for other operations

2013-08-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: test for sync running longer than auto shutdown
	period

2013-08-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:

	D-Bus server: if busy, don't shut down

2013-08-06  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: D-Bus method call timeouts

2013-08-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: SYNCEVO_GLIB_CALL_SYNC() must use GRunWhile()

2013-07-18  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix testSyncFailure2

2013-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/signon/README:
	* src/backends/signon/accounts/caldav.service-type:
	* src/backends/signon/accounts/carddav.service-type:
	* src/backends/signon/accounts/google-caldav.service.in:
	* src/backends/signon/accounts/google-carddav.service.in:
	* src/backends/signon/accounts/google.provider.in:
	* src/backends/signon/configure-sub.in:
	* src/backends/signon/signon.am:
	* src/backends/signon/signon.cpp:
	* src/backends/signon/signon.h:
	* src/backends/signon/signonRegister.cpp:
	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/client-test-app.cpp:
	* src/dbus/server/read-operations.cpp:
	* src/dbus/server/session.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:
	* src/syncevo/DBusTraits.h:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SynthesisDBPlugin.cpp:
	* src/syncevo/TransportAgent.cpp:
	* src/syncevo/syncevo.am:
	* test/test-dbus.py:

	signon: revert accidental inclusion in master branch

2013-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: add support for obexd 0.48

2013-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/README:
	* src/backends/signon/accounts/caldav.service-type:
	* src/backends/signon/accounts/carddav.service-type:
	* src/backends/signon/accounts/google-caldav.service.in:
	* src/backends/signon/accounts/google-carddav.service.in:
	* src/backends/signon/accounts/google.provider.in:
	* src/backends/signon/configure-sub.in:
	* src/backends/signon/signon.am:

	signon: README and example Google accounts files

2013-08-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/signon/configure-sub.in:
	* src/backends/signon/signon.am:
	* src/backends/signon/signon.cpp:
	* src/backends/signon/signon.h:
	* src/backends/signon/signonRegister.cpp:

	singon: new backend using libgsignond-glib + libaccounts-glib

2013-07-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/NeonCXX.h:
	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: support OAuth2

2013-07-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:

	config: add identity provider registry

2013-07-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:

	config: introduce AuthProvider

2013-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/syncevo/IdentityProvider.cpp:
	* src/syncevo/IdentityProvider.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SynthesisDBPlugin.cpp:
	* src/syncevo/TransportAgent.cpp:
	* src/syncevo/syncevo.am:

	config: first step towards modular identity providers

2013-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: test indirect password lookup

2013-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/read-operations.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	config: selectively resolve username during indirect credential
	lookup

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:

	SyncConfig: implement "id" handling for reading and writing
	credentials

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	SyncConfig: allow sharing file config tree between configs

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/read-operations.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	SyncConfig: simplify password API

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.h:

	SyncConfig: allow access to ConfigTree

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:

	SyncSourceConfig: remove obsolete password methods

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/client-test-app.cpp:
	* src/syncevo/DBusTraits.h:
	* src/syncevo/IdentityProvider.h:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SynthesisDBPlugin.cpp:
	* src/syncevo/TransportAgent.cpp:

	config: user name -> identity

2013-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:

	SyncConfig: remove obsolete caching of passwords

2013-08-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: SYNCEVO_GLIB_CALL_SYNC() must use GRunWhile()

2013-07-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session.cpp:

	D-Bus server: password not stored in GNOME keyring or KWallet
	(FDO #66110)

2013-07-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: compile fix for "PBAP: transfer data inside ReadItemAsKey"

2013-07-12  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	NEWS, autotools: SyncEvolution 1.3.99.4

2013-05-18  Guido Günther  <agx@sigxcpu.org>

	* src/src.am:

	build: use top_builddir instead of builddir

2013-05-17  Guido Günther  <agx@sigxcpu.org>

	* autogen.sh:

	build: Split autoreconf options

2013-07-12  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix race in TestCmdline.testSyncFailure2

2013-07-12  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix
	TestLocalCache.testPropertyRemovalIncremental100 name

2013-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/syncevo/ConfigNode.h:
	* src/syncevo/DevNullConfigNode.h:
	* src/syncevo/FilterConfigNode.h:
	* src/syncevo/IniConfigNode.h:
	* src/syncevo/MultiplexConfigNode.h:
	* src/syncevo/PrefixConfigNode.h:
	* src/syncevo/SafeConfigNode.h:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SynthesisDBPlugin.cpp:
	* src/syncevo/VolatileConfigNode.h:

	sync: avoid maintaining suspend/resume meta data during ephemeral
	sync

2013-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:

	SyncSourceConfig: cache synthesisID

2013-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/sync-helper.cpp:
	* src/syncevo/LocalTransportAgent.cpp:

	sync: reduce D-Bus traffic

2013-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/dbus-sync.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:
	* test/test-dbus.py:

	sync: less verbose output, shorter runtime

2013-07-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ForkExec.cpp:
	* src/syncevo/ForkExec.h:

	ForkExec: allow passing arguments to helper

2013-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: don't depend on server output during startup,
	truely quiet TEST_DBUS_QUIET

2013-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: include testcase from FDO #66618

2013-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/syncevo-http-server.py:

	HTTP server: handle message resends

2013-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/connection.cpp:

	D-Bus: better logging of server stub transport exceptions

2013-07-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/sync-helper.cpp:

	D-Bus: allow catching syncevo-dbus-helper in valgrind debugger

2013-07-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: transfer data inside ReadItemAsKey

2013-07-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/README:
	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: use incremental sync for PBAP by default (FDO #59551)

2013-07-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: more flexible exclusion of empty vcard

2013-07-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSource.h:
	* src/backends/pbap/README:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/configs/scripting/05vcard-merge.xml:

	PBAP: incremental sync (FDO #59551)

2013-07-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.cpp:

	SyncSource: avoid ERROR logging for 508 status code

2013-07-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/datatypes/00vcard-fieldlist.xml:
	* src/syncevo/configs/datatypes/02vcard-types.xml:
	* src/syncevo/configs/scripting/05vcard-merge.xml:

	EDS: update PHOTO+GEO during slow sync, avoid rewriting PHOTO
	file

2013-06-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionContactSource.h:

	EDS contacts: read-ahead cache

2013-06-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:

	read-ahead: tell SyncSource about the upcoming read accesses

2013-06-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/util.cpp:

	glib: allow other threads to check something after each main loop
	iteration

2013-06-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ThreadSupport.h:

	Threading: add Cond class

2013-06-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ThreadSupport.h:

	Threading: fix Dyn*Mutex

2013-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSource.cpp.orig:
	* src/backends/pbap/PbapSyncSource.cpp.rej:
	* src/backends/pbap/PbapSyncSource.h:

	PBAP: refactor PbapSyncSource, asyncronous transfer, report items
	immediately

2013-06-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	GErrorCXX: add take()

2013-06-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:

	command line: execute --export and --print-items while the source
	is still reading

2013-06-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/TmpFile.cpp:
	* src/syncevo/TmpFile.h:

	TmpFile: add moreData() and remove()

2013-06-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: support int64_t and uint64_t

2013-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: avoid unnecessary case-insentive type comparison.

2013-06-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: fix support for obexd == 0.47, break 0.48

2013-06-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SuspendFlags.cpp:
	* src/syncevo/SuspendFlags.h:

	SuspendFlags: make it thread-safe

2013-06-28  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: run local sync tests with more items

2013-06-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:
	* test/test-dbus.py:

	D-Bus testing: support git glib/gobject bindings

2013-06-28  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: better logging of synccompare invocation

2013-06-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/datatypes/00vcard-fieldlist.xml:
	* src/syncevo/configs/datatypes/01vcard-profile.xml:
	* src/syncevo/configs/scripting/05vcard-evolution.xml:
	* test/ClientTest.cpp:

	EDS contacts: avoid unnecessary DB writes during slow sync due to
	FILE-AS

2013-06-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.h:
	* src/syncevo/configs/datatypes/02vcard-types.xml:

	EDS contacts: avoid unnecessary DB writes during slow sync

2013-06-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:

	EDS: avoid retrieving REV/LAST-MODIFIED if not needed

2013-06-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:

	engine: change tracking optional for caching mode and item
	modification

2013-06-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionContactSource.h:

	EDS: implement batched add/update of contacts

2013-06-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/remoterules/00_syncevolution.xml:

	engine: enable out-of-order command execution for
	SyncEvolution<->SyncEvolution

2013-06-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/TrackingSyncSource.cpp:
	* src/syncevo/TrackingSyncSource.h:

	SyncSource: support asynchronous add/update in utility classes

2013-06-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncML.h:
	* src/syncevo/SyncSource.h:

	SyncSource: optional support for asynchronous
	insert/update/delete

2013-06-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SynthesisDBPlugin.cpp:

	engine: make FinalizeLocalID a real NOP

2013-06-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.h:

	SyncSource: simplify getPre/PostSignal()

2013-06-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: enhance testFilterLiveLimit

2013-06-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: fix testView and testViewSorting

2013-06-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: fixed testFilterLiveLimit

2013-06-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: revise state checking

2013-06-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: testSync + test case files

2013-06-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM: set debug level in peer configs via env variable

2013-06-13  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: suppress libsoup cancellation error leak

2013-06-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	SyncContext: "server" -> "peer" in debug message

2013-06-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	SyncContext: include process name in Synthesis log

2013-06-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.cpp:

	EDS: fix cloning of system source

2013-06-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: smart pointer for glib string arrays

2013-06-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	engine: fix "override blocking threading code in libsynthesis"

2013-05-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/server.am:

	PIM: include pim-manager-api.txt in source distro (FDO #62516)

2013-05-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:

	PIM: "full name" -> "fullname" fix in documentation (FDO #62515)

2013-05-29  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:
	* test/sys.supp:

	testing: updated valgrind suppressions

2013-05-29  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	Apple: test with less items

2013-05-29  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	Funambol: finally fix testing

2013-05-29  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: remove redundant registration of testTwoWayRestart

2013-05-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* test/sys.supp:

	D-Bus: fix minor memory leak

2013-05-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session-helper.h:

	PIM: fix SyncProgress signal

2013-05-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:

	PIM: document enhanced searching (search part of FDO #64177)

2013-05-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: test field tests

2013-05-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: implement 'is/contains/begins-with/ends-with'

2013-05-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: minor performance enhancement in 'any-contains'

2013-05-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: test case for 'and' and 'or'

2013-05-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory.cpp:

	PIM: implement 'and' and 'or'

2013-05-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/locale-factory.cpp:
	* src/dbus/server/pim/locale-factory.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/server.am:

	PIM: support recursive search filter

2013-05-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: support recursive variant with one type

2013-05-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: improve boost::variant visitor

2013-05-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: check that EDS DB really gets removed (part of FDO
	#64835)

2013-05-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.h:
	* src/dbus/server/pim/manager.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/SyncSource.h:

	PIM: allow removal of data together with database removal (part
	of FDO #64835)

2013-05-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.h:
	* src/backends/evolution/EvolutionContactSource.h:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.h:

	EDS: create new databases by cloning the builtin ones (FDO
	#64176)

2013-05-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: add test for right error when using invalid UID

2013-05-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: fix returning of error exceptions from asynchronous
	method + Interface_t/Member_t

2013-05-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/test-dbus/db-active/config/syncevolution/pim-manager.ini:
	* src/dbus/server/pim/testpim.py:

	PIM testing: run with temp-testpim as location for EDS and PIM
	Manager files

2013-05-24  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: allow tests to install files in a shared XDG tree

2013-05-29  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	dbus-session.sh: create XDG dirs

2013-05-23  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	dbus-session.sh: fix bashism

2013-05-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: fix support for obexd >= 0.47 and < Bluez 5

2013-05-18  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	Funambol: fix command line syntax

2013-05-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/merge-view.cpp:
	* src/syncevo/GeeSupport.h:

	gee: stricter ref counting

2013-05-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogRedirect.h:
	* src/syncevo/Logging.cpp:

	Logging: apply filter to glib messages

2013-05-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LocalTransportAgent.cpp:

	local sync: avoid potential crash

2013-05-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix testAbortThread

2013-05-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	engine: free engine while still protected from signals

2013-05-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	engine: avoid false resending of messages shortly before final
	timeout

2013-05-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: fix TestContacts.testDeadAgent

2013-05-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: sorting test for de

2013-05-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: select "phonebook" for de and fi (part of FDO #64173)

2013-05-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: removed debug print

2013-05-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: use higher collation level

2013-05-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: add tests for Chinese and Japanese sorting

2013-05-14  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/server.am:

	PIM: Pinyin sorting for zh languages (part of FDO #64173)

2013-05-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: refactor Boost localization

2013-05-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/client.cpp:
	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/pim/README:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/pim/testpim.py:
	* src/dbus/server/session-common.h:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:

	PIM: new return value for SyncPeer(), new SyncProgress signal
	(FDO #63417)

2013-05-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.h:
	* src/dbus/server/pim/edsf-view.cpp:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/GLibSupport.h:
	* src/syncevo/GeeSupport.h:
	* src/syncevo/LocalTransportAgent.cpp:
	* test/dbus-client-server.cpp:

	glib: stricter ref counting

2013-05-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SmartPtr.h:

	SmartPtr: add reset()

2013-05-16  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	Funambol: avoid testing slow sync mode

2013-05-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: avoid segfault during collection lookup

2013-05-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: fix for pre-computed normalized phone numbers from EDS (FDO
	#59571, part 1)

2013-05-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ForkExec.cpp:

	ForkExec: better debug output

2013-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: remove timeout in
	TestSessionAPIsDummy.testInteractivePassword

2013-05-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: implement removal of glib timeout

2013-04-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: abort server with background thread

2013-04-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/connection.cpp:

	D-Bus server: activate sessions created for incoming connections

2013-04-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: add EDS<->EDS syncing via HTTP

2013-04-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/client-test-app.cpp:
	* src/syncevo/SuspendFlags.cpp:
	* src/syncevo/SuspendFlags.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:
	* test/ClientTest.cpp:
	* test/ClientTest.h:

	engine: eliminate virtual checkForSuspend/Abort()

2013-04-25  Diane Trout  <diane@ghic.org>

	* src/backends/akonadi/akonadisyncsource.h:

	KDE: fix Akonadi backend for tasks

2013-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	autotools: libsynthesis for SyncEvolution now on freedesktop.org

2013-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: cover implicit URI

2013-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/file/FileSyncSource.cpp:
	* test/test-dbus.py:

	D-Bus testing: cover multithreading and HTTP

2013-04-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	engine: override blocking threading code in libsynthesis

2013-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	engine: prevent timeouts in HTTP server mode

2013-04-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.h:
	* src/syncevo/EDSClient.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/util.cpp:

	engine: event processing when using multithreading

2013-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:
	* test/test-dbus.py:

	D-Bus testing: improved running of command line tool

2013-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session.h:
	* src/syncevo/SyncContext.h:

	engine: clarify m_remoteInitiated

2013-04-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	engine: better transport timeout handling

2013-04-22  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	Google: ignore loss of TRANSP property

2013-04-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/sync-helper.cpp:

	D-Bus: fix random session failures

2013-04-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session.cpp:

	D-Bus: add helper's stdout to parent's stdout

2013-04-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session.cpp:
	* src/dbus/server/sync-helper.cpp:
	* src/syncevo/ForkExec.cpp:

	D-Bus: fix shutdown race condition after aborted sync

2013-05-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session.cpp:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/ForkExec.h:

	D-Bus: fix syncevo-dbus-server<->syncevo-dbus-helper
	communication when using GIO D-Bus

2013-04-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SuspendFlags.cpp:
	* src/syncevo/SuspendFlags.h:

	engine: support additional signals in SuspendFlags

2013-04-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:
	* src/dbus/server/sync-helper.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogRedirect.h:
	* src/syncevo/LogSyslog.cpp:
	* src/syncevo/LogSyslog.h:
	* src/syncevo/Logging.cpp:
	* src/syncevo/Logging.h:
	* src/syncevo/SuspendFlags.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/syncevo.am:
	* src/syncevolution.cpp:
	* test/client-test-main.cpp:

	Logging: thread-safe

2013-04-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:
	* src/client-test-app.cpp:
	* src/dbus/server/main.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.h:
	* src/dbus/server/sync-helper.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogStdout.h:
	* src/syncevo/LogSyslog.cpp:
	* src/syncevo/LogSyslog.h:
	* src/syncevo/Logging.cpp:
	* src/syncevo/Logging.h:
	* src/syncevo/SyncContext.cpp:
	* src/syncevolution.cpp:
	* test/client-test-main.cpp:

	Logging: merge Logger and LoggerBase

2013-04-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/server.h:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogStdout.h:
	* src/syncevo/LogSyslog.h:
	* src/syncevo/Logging.h:
	* src/syncevo/SyncContext.cpp:

	Logging: remove obsolete isProcessSafe()

2013-04-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session-helper.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogStdout.cpp:
	* src/syncevo/LogStdout.h:
	* src/syncevo/LogSyslog.cpp:
	* src/syncevo/Logging.cpp:
	* src/syncevo/Logging.h:
	* src/syncevolution.cpp:

	Logging: avoid changing global process name

2013-04-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogRedirect.h:
	* src/syncevo/LogStdout.cpp:
	* src/syncevo/LogStdout.h:
	* src/syncevo/LogSyslog.cpp:
	* src/syncevo/LogSyslog.h:
	* src/syncevo/Logging.cpp:
	* src/syncevo/Logging.h:
	* src/syncevo/SyncContext.cpp:

	Logging: move messagev parameters into struct, rename different
	versions of messagev

2013-04-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncCalendarSource.cpp:
	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSourceRegister.cpp:
	* src/backends/addressbook/AddressBookSource.cpp:
	* src/backends/akonadi/akonadisyncsource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/kcalextended/KCalExtendedSource.cpp:
	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/qtcontacts/QtContactsSource.cpp:
	* src/backends/sqlite/SQLiteContactSource.cpp:
	* src/backends/webdav/CalDAVSource.cpp:
	* src/backends/webdav/NeonCXX.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/backends/webdav/WebDAVSourceRegister.cpp:
	* src/client-test-app.cpp:
	* src/dbus/server/auto-sync-manager.cpp:
	* src/dbus/server/auto-term.h:
	* src/dbus/server/bluez-manager.cpp:
	* src/dbus/server/client.cpp:
	* src/dbus/server/connection.cpp:
	* src/dbus/server/connman-client.cpp:
	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/dbus-transport-agent.cpp:
	* src/dbus/server/main.cpp:
	* src/dbus/server/network-manager-client.cpp:
	* src/dbus/server/notification-backend-libnotify.cpp:
	* src/dbus/server/pim/edsf-view.cpp:
	* src/dbus/server/pim/filtered-view.cpp:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/merge-view.cpp:
	* src/dbus/server/pim/view.cpp:
	* src/dbus/server/presence-status.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session.cpp:
	* src/dbus/server/sync-helper.cpp:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/CurlTransportAgent.cpp:
	* src/syncevo/ForkExec.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/Logging.h:
	* src/syncevo/MapSyncSource.cpp:
	* src/syncevo/ObexTransportAgent.cpp:
	* src/syncevo/SoupTransportAgent.cpp:
	* src/syncevo/SuspendFlags.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SynthesisDBPlugin.cpp:
	* src/syncevo/TrackingSyncSource.cpp:
	* src/syncevo/util.cpp:
	* src/syncevolution.cpp:
	* test/ClientTest.cpp:
	* test/ClientTest.h:
	* test/ClientTestAssert.h:
	* test/client-test-main.cpp:

	Logging: eliminate _instance from SE_LOG* macros

2013-04-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncCalendarSource.cpp:
	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/addressbook/AddressBookSource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/webdav/CalDAVSource.cpp:
	* src/backends/webdav/WebDAVSource.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:
	* src/dbus/server/session-helper.cpp:
	* src/dbus/server/session-helper.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/LogRedirect.cpp:
	* src/syncevo/LogRedirect.h:
	* src/syncevo/LogStdout.cpp:
	* src/syncevo/LogStdout.h:
	* src/syncevo/LogSyslog.cpp:
	* src/syncevo/LogSyslog.h:
	* src/syncevo/Logging.cpp:
	* src/syncevo/Logging.h:
	* src/syncevo/MapSyncSource.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/SynthesisDBPlugin.cpp:
	* src/syncevo/TrackingSyncSource.cpp:
	* src/syncevo/util.cpp:
	* src/syncevo/util.h:

	Logging: remove usage of Logger instance

2013-04-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/ThreadSupport.h:
	* src/syncevo/syncevo.am:

	engine: add mutex support via glib

2013-04-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.cpp:

	EDS: avoid e_cal_client_remove_object_sync with empty UID

2013-04-09  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: increase message bus timeout

2013-04-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/valgrindcheck.sh:

	testing: avoid system-wide killing of valgrind in
	valgrindcheck.sh

2013-04-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: improve
	TestSessionAPIsDummy.testInteractivePassword

2013-04-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: SYNCEVOLUTION_DEBUG skips output redirection

2013-04-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	testing: apply valgrind to EDS when running test-dbus.py and
	testpim.py

2013-04-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	testing: add missing rule names

2013-04-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	testing: remove suppression for EDS leak

2013-04-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: set locale in some more tests

2013-04-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	PIM testing: ignore folks rec mutex leak

2013-04-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/dbus/server/pim/edsf-view.cpp:

	EDS Client: handle "busy" error

2013-04-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	D-Bus testing: start EDS also for testpim.py

2013-03-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:

	PIM Manager: remove redundant type check+cast

2013-03-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: data output in testActive

2013-03-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: allow more than 1000 contacts in testActive

2013-03-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: fix reference to start time in testActive

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevolution.cpp:

	command line: check for strdup() failure

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/TransportAgent.h:

	TransportAgent: destructor must be virtual

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	engine: call getenv() only once

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncML.cpp:
	* src/syncevo/util.cpp:

	engine: use thread-safe localtime_r(), check results

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LogRedirect.cpp:

	LogRedirect: better handling of realloc failure

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LogRedirect.cpp:

	LogRedirect: mark class as noncopyable

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/test/example.cpp:

	GDBus GIO: mark class as noncopyable

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/restart.h:

	D-Bus server: fix memory leak in case of failed restart

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/auto-sync-manager.cpp:

	D-Bus server: avoid potential segfault

2013-03-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/client-test-app.cpp:

	testing: only call getenv() once for each var

2013-03-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/akonadi/akonadisyncsource.cpp:

	KDE: more explicit memory handling in Akonadi backend

2013-04-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/kde/KDEPlatform.cpp:

	KDE: avoid creating a shared session D-Bus connection before
	creating the app

2013-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.h:

	SyncSourceBlob: avoid crash in ReadBlob()

2013-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: read env variable only once

2013-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: avoid unlikely fd leak

2013-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.h:

	testing: mark ClientTest non-copyable

2013-03-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: better DBusErrorCXX copy operator

2013-03-06  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	NEWS, configure: SyncEvolution 1.3.99.3

2013-03-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	Revert "testing: ignore GIO D-Bus leak"

2013-03-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: fix memory leak of GDBusMethod/SignalInfo

2013-03-06  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: temporarily ignore neon + gnutls leak

2013-03-06  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: kill partially terminated processes

2013-03-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/configs/datatypes/02vcard-types.xml:
	* src/syncevo/configs/remoterules/server/00_nokia.xml:
	* src/syncevo/configs/scripting/08vcard-email-type.xml:

	Nokia: always add TYPE=INTERNET to EMAIL (FDO #61784)

2013-03-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/src.am:

	testing: don't use -O2 on client-test

2013-03-04  Patrick Ohly  <patrick.ohly@intel.com>

	* test/wrappercheck.sh:

	wrappercheck.sh: more resilient against race conditions

2013-03-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: ignore valgrind ERROR when checking output

2013-03-04  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: more logging in auto start test

2013-03-04  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix auto start test when using jhbuild

2013-03-04  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: catch server startup failure

2013-03-04  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: add debug output for importing test cases

2013-03-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/NeonCXX.cpp:

	WebDAV: don't send Basic Auth via http (FDO #57248)

2011-10-17  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_event.ics.googlecalendar.tem.patch:

	Google CalDAV testing: avoid multiple detached recurrences, II

2012-11-06  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	SyncML: workarounds for broken peers, attempt 2

2013-02-05  Graham R. Cobb  <g+syncevolution@cobb.uk.net>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSource.h:

	ActiveSync: added support for specifying folder names

2013-02-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncSource.cpp:

	ActiveSync: avoid explicit g_object_unref for EasSyncHandler

2013-02-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:

	command line: show backend error when listing databases fails

2013-02-04  Graham R. Cobb  <g+syncevolution@cobb.uk.net>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSource.h:

	ActiveSync: added getDatabases support for fetching folder list

2013-02-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/configure-sub.in:
	* src/backends/evolution/evolution.am:

	EDS + PIM: create phone number summary in contacts DB (part of
	FDO #59571)

2013-02-26  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:

	NEWS: preparations for 1.3.99.3

2013-02-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSource.h:

	Revert "ActiveSync: added getDatabases support for fetching
	folder list"

2013-02-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSource.h:

	Revert "ActiveSync: added support for specifying folder names"

2013-02-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	EDS: temporarily ignore a minor leak (BGO #694730)

2013-02-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/filtered-view.cpp:
	* src/dbus/server/pim/filtered-view.h:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/pim/testpim.py:
	* src/dbus/server/pim/view.h:

	PIM: add ReplaceSearch, always allow it

2013-02-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/timeout.h:

	D-Bus server: more flexible timeouts

2013-02-05  Graham R. Cobb  <g+syncevolution@cobb.uk.net>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSource.h:

	ActiveSync: added support for specifying folder names

2013-02-04  Graham R. Cobb  <g+syncevolution@cobb.uk.net>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSource.h:

	ActiveSync: added getDatabases support for fetching folder list

2013-02-22  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: intelligent phone search in EDS (FDO #59571, part 2)

2013-02-22  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: merge with truncated D-Bus log

2013-02-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: use pre-computed normalized phone numbers from EDS (FDO
	#59571, part 1)

2013-02-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.h:
	* test/ClientTest.cpp:
	* test/ClientTest.h:
	* test/runtests.py:

	testing: more workarounds for Google CalDAV + unique IDs

2013-02-19  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/backends/activesync/activesync.am:
	* src/backends/addressbook/addressbook.am:
	* src/backends/akonadi/akonadi.am:
	* src/backends/evolution/evolution.am:
	* src/backends/file/file.am:
	* src/backends/gnome/gnome.am:
	* src/backends/kcalextended/kcalextended.am:
	* src/backends/kde/kde.am:
	* src/backends/maemo/maemo.am:
	* src/backends/pbap/pbap.am:
	* src/backends/qtcontacts/qtcontacts.am:
	* src/backends/sqlite/sqlite.am:
	* src/backends/webdav/webdav.am:
	* src/backends/xmlrpc/xmlrpc.am:

	autotools: avoid -lrt in make dependencies

2013-02-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/server.am:

	autotools: add missing pcre libs to syncevo-dbus-server

2013-02-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: ensure that no ERROR messages are printed

2013-02-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:

	Folks: avoid warnings when unsetting photo

2013-02-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:

	PIM: fix initialization of folks backends

2013-02-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: capture libphonenumber output

2013-02-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Logging.h:

	logging: more independent of namespace

2013-02-20  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: enhanced checking of D-Bus and stdout log

2013-02-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/configure-sub.in:
	* src/dbus/server/pim/edsf-view.cpp:

	EDS: direct access with EDS master

2013-02-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: support Bluez 5

2013-02-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: turn testActive into performance test

2013-02-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: introduce watchdog

2013-02-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: avoid large ReadContacts() calls

2013-02-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: fix testRead test case

2013-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:

	PIM: debug messages for modifying contact

2013-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/edsf-view.cpp:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/individual-traits.cpp:

	PIM: adapt to gee 0.8

2013-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: testActive for large number of contacts

2013-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: more efficient ViewAgent

2013-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: improved logging

2013-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: optionally use gzip

2013-02-15  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: more efficient runUntil

2013-02-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: avoid reading multiple times

2013-02-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:
	* src/dbus/server/session.cpp:
	* test/test-dbus.py:

	D-Bus server: reduce D-Bus log messages

2013-02-12  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: avoid extranuous message about SIGTERM

2013-02-12  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: TEST_DBUS_VERBOSE shows logging messages

2013-02-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/pim/testpim.py:

	PIM: introduce CreateConfig()

2013-02-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/testpim.py:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* test/synccompare.pl:

	PIM: support location = GEO property (FDO #60373)

2013-02-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: support groups = CATEGORIES (FDO #60380)

2013-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:
	* src/syncevo/configs/datatypes/00vcard-fieldlist.xml:
	* src/syncevo/configs/datatypes/01vcard-profile.xml:
	* test/testcases/eds_contact.vcf:
	* test/testcases/eds_contact.vcf.exchange.tem.patch:
	* test/testcases/eds_contact.vcf.google.tem.patch:
	* test/testcases/eds_contact.vcf.memotoo.tem.patch:
	* test/testcases/eds_contact.vcf.mobical.tem.patch:
	* test/testcases/eds_contact.vcf.oracle.tem.patch:
	* test/testcases/eds_contact.vcf.synthesis.tem.patch:
	* test/testcases/eds_contact.vcf.yahoo.tem.patch:
	* test/testcases/eds_contact.vcf.zyb.tem.patch:

	engine: support GEO property (part of FDO #60374)

2013-02-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:

	PIM: fix memory leaks during writing of contacts

2013-02-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GValueSupport.h:

	GValue: support constructors which take ownership

2013-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LogSyslog.cpp:
	* src/syncevo/LogSyslog.h:

	syslog: fix read-after-free bug

2013-02-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM testing: D-Bus methods thread-safe

2013-02-12  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/timeout.h:

	PIM Manager: make some of the D-Bus methods thread-safe, attempt
	II

2013-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/syncevo/GLibSupport.h:

	PIM Manager: make some of the D-Bus methods thread-safe

2013-02-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/util.cpp:
	* src/syncevo/util.h:

	Exception: tryRethrow() can be used to throw in all cases

2013-02-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: support ...CXX::steal() and ..StealCXX() for non-GObject

2013-02-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	CalDAV: work around Google server regression (undeclared
	namespace prefix in XML)

2013-02-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: include PHOTO data in testSync

2013-02-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: fixed testSync with Nokia phone

2013-02-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: handle missing config dirs

2013-02-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncML.cpp:

	command line: recover from slow sync with new sync modes

2013-02-26  Patrick Ohly  <patrick.ohly@intel.com>


	Merge tag 'syncevolution-1-3-99-2'

2013-01-15  Mario Kicherer  <dev@kicherer.org>

	* src/backends/sqlite/SQLiteUtil.h:

	sqlite: add #include <stdio.h>

2012-12-12  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	autotools: bump version to 1.3.99.2

2012-12-12  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	Revert "SyncML: workarounds for broken peers"

2012-12-07  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* src/dbus/server/pim/README:
	* src/dbus/server/pim/pim-manager-api.txt:

	NEWS, PIM API + README: updated for 1.3.99.2

2012-12-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: support --enable dist=<configure flags>

2012-12-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:

	PIM Manager: don't prevent auto termination when idle

2012-12-07  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	debugging: revise suppression rule

2012-12-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/installcheck-local.sh:

	autotools: fix "make distcheck" when LD_LIBRARY_PATH is set

2012-12-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/filtered-view.cpp:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/merge-view.cpp:

	PIM: avoid compiler warnings in 32 bit

2012-12-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM: fix signed/unsigned comparison warning

2012-12-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:

	SyncConfig: fix g++ 4.4 compile issue

2012-12-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: add bool cast to CXX pointers

2012-12-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: adapt test runtime for automated testing

2012-12-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: writing contacts needs country

2012-12-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/configure-sub.in:
	* src/dbus/server/pim/edsf-view.cpp:

	PIM + EDS: use direct read mode if available

2012-12-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/pim/testpim.py:

	PIM: allow configuration of session dirs (part of FDO #55921)

2012-12-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/dbus-sync.cpp:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/testpim.py:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	PIM + sync: write less data to disk (part of FDO #55921)

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/server.h:

	PIM Manager: command line option for starting unification

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.h:

	PIM Manager: make API public in C++

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/syncevo/Logging.h:
	* test/test-dbus.py:

	syncevo-dbus-server: log only to syslog by default

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LogSyslog.cpp:
	* src/syncevo/LogSyslog.h:

	LoggerSyslog: remove unused members, add stacking support

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:

	D-Bus server: use glib command line parsing

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/test-dbus/db-active/config/syncevolution/pim-manager.ini:
	* src/dbus/server/pim/testpim.py:
	* src/dbus/server/server.am:

	PIM: store set of active address books persistently (FDO #56334)

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:

	PIM: share ESourceRegistry via libsyncevolution

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/BoostHelper.h:

	Boost helper: support weak pointer indirection for up to 9
	parameters

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.h:

	EDS: share ESourceRegistry via libsyncevolution

2012-12-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/EDSClient.cpp:
	* src/syncevo/EDSClient.h:
	* src/syncevo/syncevo.am:

	EDS: shared loading of ESourceRegistry

2012-11-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/pim-manager-api.txt:

	PIM: remove colon from valid peer UID character set (FDO #56436)

2012-11-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/pim/testpim.py:

	PIM: ViewAgent.Quiescent() optional (FDO #56428)

2012-11-30  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/README:

	PBAP: databaseFormat + filter fields

2012-11-29  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/dbus/server/pim/README:
	* src/dbus/server/pim/edsf-view.cpp:
	* src/dbus/server/pim/edsf-view.h:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/full-view.h:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/merge-view.cpp:
	* src/dbus/server/pim/merge-view.h:
	* src/dbus/server/pim/testpim.py:
	* src/dbus/server/server.am:

	PIM: search for phone number in EDS directly during startup

2012-11-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.h:
	* src/syncevo/EDSClient.h:
	* src/syncevo/syncevo.am:

	EDS: shared common EDS Client API inside SyncEvolution

2012-11-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: improved core infrastructure

2012-11-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/filtered-view.cpp:
	* src/dbus/server/pim/filtered-view.h:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/full-view.cpp:
	* src/dbus/server/pim/full-view.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/view.cpp:
	* src/dbus/server/pim/view.h:
	* src/dbus/server/server.am:

	PIM: refactor folks classes

2012-11-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:

	Folks: better check for NULL persona

2012-11-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/syncevo/GLibSupport.h:

	glib: support return parameters in GAsyncReady finish function

2012-11-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: added reset() to GList utility class

2012-11-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: improved cast to pointer in GOBJECT_TYPE

2012-11-28  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: limit number of search results (FDO #56142)

2012-11-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:

	Folks: fix change emission in FilteredView + removal of contacts

2012-11-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/testpim.py:

	Folks: fix refining a search

2012-11-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: cover SetActiveAddressBooks() + system address book
	(FDO #57209)

2012-11-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: cover SetActiveAddressBooks() (FDO #57209)

2012-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/locale-factory.h:
	* src/dbus/server/pim/manager.cpp:

	PIM: pre-compute normalized telephone numbers

2012-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: test changing telephone numbers

2012-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:

	Folks: remove dead unit tests

2012-11-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/README:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/testpim.py:

	Folks: fix writing contact, support photo and notes

2012-11-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:

	PIM Manager: avoid sending empty "roles"

2012-11-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus libdbus + GIO: missing out parameters in D-Bus
	introspection XML (FDO #57292)

2012-11-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:

	Folks: improve performance of FullView sorting

2012-11-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM Manager: detect NOP SetSortOrder()

2012-11-21  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/search.py:

	PIM example: add benchmarking

2012-11-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/sync.py:

	PIM example: make sync.py executable

2012-11-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: fix quiescence signal

2012-11-19  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:

	Folks: fix starting when done via search

2012-11-16  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: typo quiesence -> quiescence

2012-11-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/search.py:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: typo quiesent -> quiescent

2012-11-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/search.py:

	PIM examples: added verbosity to search.py

2012-11-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/sync.py:

	PIM: add --debug to sync.py example

2012-11-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/search.py:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: implement contact ID, part II

2012-11-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/search.py:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/testpim.py:

	PIM: implement contact ID, part I

2012-11-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/pim-manager-api.txt:

	PIM API: introduce string ID for contacts

2012-11-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: add support for deque and list

2012-11-08  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:

	Folks: fix incorrect contact removal signals in filtered view

2012-11-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncContext.cpp:

	SyncML: workarounds for broken peers

2012-11-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.cpp:

	EDS: fix creating databases

2012-11-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: avoid premature timeouts during sync

2012-11-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:

	Folks: use GeeStringCollection

2012-11-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GeeSupport.h:

	gee: define GeeStringCollection type

2012-11-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/syncevo/GeeSupport.h:

	gee: fix memory leak in GeeCollCXX

2012-11-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.h:
	* src/syncevo/GLibSupport.h:

	glib: use template class for GObject intrusive pointer + "steal"
	references

2012-11-01  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: fixed memory leak in some GAsyncReady helpers

2012-11-06  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:

	Folks: temporarily disable saving of notes

2012-11-01  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	testing: ignore minor leak in libedataserver

2012-10-30  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	PIM testing: permanently ignore static mutext memory loss

2012-10-30  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	Revert "Folks: temporarily ignore memory leaks"

2012-11-30  Patrick Ohly  <patrick.ohly@intel.com>


	Merge tag 'syncevolution-1-3-2'

2012-11-15  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	NEWS, autotools: 1.3.2 release

2012-11-26  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: support ENV with = inside variable value

2012-11-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	CardDAV: "--status target-config@" aborts (FDO #56263)

2012-11-15  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus.am:
	* src/gdbusxx/gdbusxx.am:

	autotools: Boost was not found in src/gdbus*

2012-11-14  Patrick Ohly  <patrick.ohly@intel.com>

	* README.rst:
	* src/dbus/server/main.cpp:
	* src/dbus/server/notification-backend-libnotify.cpp:
	* test/runtests.py:
	* test/test-dbus.py:

	D-Bus server: localize auto sync notifications

2012-11-04  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: auto-sync multiple times

2012-11-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/auto-sync-manager.cpp:

	auto sync: only synced once (FDO #56667)

2012-11-01  Patrick Ohly  <patrick.ohly@intel.com>


	Merge branch 'HARMATTAN-1-3-1'

2012-10-25  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:
	* src/dbus/server/pim/README:

	NEWS + PIM README + autotools: updated for 1.3.99.1

2012-10-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/examples/search.py:
	* src/dbus/server/pim/examples/sync.py:
	* src/dbus/server/server.am:

	PIM Manager: add sync and search examples

2012-10-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM Manager: syncing must not prevent slow syncs

2012-10-26  Patrick Ohly  <patrick.ohly@intel.com>

	* .gitignore:

	gitignore: added *.pyc

2012-10-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: cover GetActiveAddressBooks()

2012-10-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:

	PIM Manager: implement GetActiveAddressBooks()

2012-10-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/org._01.pim.contacts.service.in:
	* src/dbus/server/server.am:

	PIM Manager: install .service file

2012-10-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore one-time leak

2012-10-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/evo.supp:

	Folks: temporarily ignore memory leaks

2012-10-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:

	Folks: ignore known warnings

2012-10-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncML.cpp:
	* test/ClientTest.cpp:

	g++ 4.5 workaround: bool initialization

2012-10-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* test/test-dbus.py:

	command line: fix for --create/remove-database

2012-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/server.am:

	PIM testing: distribute test files

2012-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: cover adding/modifying/removing

2012-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/individual-traits.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/persona-details.h:
	* src/dbus/server/server.am:

	PIM Manager: implemented adding, modifying, removing contact

2012-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/dbus-callbacks.h:

	D-Bus server: enhance asynchronous result reporting

2012-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: support boost::tuple with up to four values

2012-10-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.cpp:
	* src/syncevo/GLibSupport.h:

	glib: removed deprecated GLibErrorException

2012-10-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: cover ViewControl.RefineSearch

2012-10-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/manager.cpp:

	PIM Manager: implement ViewControl.RefineSearch

2012-10-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/testpim.py:

	PIM Manager: implement Manager.Stop() properly and fix delayed
	starting

2012-10-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/test-dbus/first-last-sort/config/syncevolution/pim-manager.ini:
	* src/dbus/server/pim/test-dbus/simple-sort/config/syncevolution/pim-manager.ini:
	* src/dbus/server/pim/testpim.py:

	PIM Manager: store sort order persistently

2012-10-16  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/testpim.py:
	* src/dbus/server/server.am:

	PIM Manager: implement phone number lookup and search

2012-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM Testing: cover "any-contains" and FilteredView

2012-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:

	PIM: FilteredView

2012-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM Locale: implement "any-contains" search

2012-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/manager.cpp:

	PIM Manager: implement removed+added=modified change merging

2012-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM Manager: enhanced debug output

2012-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM Manager: add "Quiesent" signal

2012-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/pim-manager-api.txt:

	PIM Manager: revise search API and define searches in
	SyncEvolution

2012-10-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: improved logging

2012-10-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: cover sorting with boost::locale

2012-10-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/locale-factory-boost.cpp:

	PIM: implement sorting with boost::locale

2012-10-09  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/pim-manager-api.txt:

	PIM Manager: revised sorting documentation

2012-10-09  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* m4-repo/ax_boost_locale.m4:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/locale-factory-boost.cpp:
	* src/dbus/server/pim/locale-factory.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/server.am:

	PIM: locale-aware sorting and searching

2012-10-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/testpim.py:

	PIM Manager: implemented SetActiveAddressBooks()

2012-10-03  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: check conditions regularly in runUntil()

2012-09-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: cover vcard->D-Bus conversion

2012-09-27  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: assertEqual for D-Bus, sortLists

2012-09-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:

	PIM Manager: implemented FolksIndividual -> D-Bus conversion

2012-09-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: allow sending "const char *"

2012-09-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: SE_GLIB_TYPE for types like GMainLoop

2012-09-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM Testing: cover full view, including sorting and changes

2012-09-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: improved interactive testing with gdb

2012-09-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: fix loading of .gdbinit

2012-09-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/timeout.h:

	D-Bus server: support idle callback in Timeout class

2012-09-25  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: improved test timeouts and looping in GLib

2012-09-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/manager.cpp:

	PIM Manager: implemented watching of folks changes

2012-09-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: store path in DBusObject_t

2012-09-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/individual-traits.cpp:
	* src/dbus/server/pim/individual-traits.h:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/server.am:

	PIM Manager: moved D-Bus traits into separate file

2012-09-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:

	Folks: disable tests which never worked

2012-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.h:
	* src/dbus/server/pim/testpim.py:

	PIM Testing: cover StopSync()

2012-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM Manager: implement Aborted and BadStatus D-Bus errors

2012-09-20  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/pim-manager-api.txt:

	PIM Manager: document D-Bus errors

2012-09-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: use real phone in testSync()

2012-09-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:

	PIM testing: cover Manager.SyncPeer()

2012-09-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM Manager: allow "files" as protocol

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/testpim.py:
	* test/resultchecker.py:
	* test/runtests.py:

	PIM testing: initial tests for PIM Manager API

2012-09-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/__init__.py:
	* test/testdbus.py:

	D-Bus testing: allow 'import testdbus'

2012-09-19  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: better way of accessing function properties

2012-09-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM Manager: claim the org._01.pim.contacts.manager bus name

2012-09-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:

	PIM Manager: add getAllPeers()

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:
	* src/dbus/server/session.h:

	PIM Manager: implement peer operations

2012-09-18  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LocalTransportAgent.cpp:

	local sync: allow sync and target context to be the same

2012-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/manager.cpp:

	PIM Manager: added support for reading contacts

2012-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/dbus/server/pim/manager.cpp:
	* src/dbus/server/pim/manager.h:
	* src/dbus/server/server.am:
	* src/dbus/server/server.h:

	PIM Manager: initial D-Bus binding

2012-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:

	folks: added support for retrieving contacts

2012-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:

	folks: allow aggregator to be started multiple times

2012-09-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:

	folks: initial set of classes for viewing, sorting, searching

2012-08-14  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:
	* src/dbus/server/pim/README:
	* src/dbus/server/pim/folks.cpp:
	* src/dbus/server/pim/folks.h:
	* src/dbus/server/pim/pim-manager-api.txt:
	* src/dbus/server/server.am:
	* src/src.am:

	PIM Manager: autotools + libfolks + API

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* README.rst:
	* src/syncevo/Cmdline.cpp:
	* src/syncevo/Cmdline.h:
	* test/test-dbus.py:

	command line: implement --create/remove-database

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.h:
	* src/backends/evolution/EvolutionContactSource.h:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.h:

	EDS Client: implement creating and deleting databases

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:

	SyncSource: add API for creating and deleting databases

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/dbus-callbacks.h:

	D-Bus server: comment update

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/util.h:

	util: add GetWithDef()

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/DBusTraits.h:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncConfig.h:
	* src/syncevo/SyncSource.h:
	* src/syncevo/util.h:

	InitState: merged InitState and InitStateClass

2012-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: allow call instances to be const

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: ensure that there is always a reply to a D-Bus method
	call

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: finish code refactoring of DBusResult

2012-09-11  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: revamped name owning

2012-08-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GeeSupport.h:
	* src/syncevo/syncevo.am:

	libgee: C++ wrappers for collections

2012-08-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GValueSupport.h:
	* src/syncevo/syncevo.am:

	GValue: added C++ wrapper

2012-09-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionSyncSource.cpp:

	EDS Client: work around glib + e_source_registry_new_sync()
	deadlock

2012-09-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionContactSource.cpp:

	EDS: use signalConnect() and boost::bind()

2012-09-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: connectSignal() + handler for single parameter

2012-10-18  patrick.ohly@intel.com  <pohly@syncev.vlan14.01.org>

	* src/syncevo/GLibSupport.h:

	glib: fix compile issue with GAsyncReady

2012-10-03  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: support more GAsyncResult finish calls

2012-09-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: improved GAsyncReady support

2012-08-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: added C++ binding for GAsyncReady

2012-09-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: added ref() to CXX smart pointers

2012-09-04  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

	glib: connect GObject signals to boost::function

2012-10-03  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	synccompare: support Zimbra and Google Contacts via CardDAV

2012-10-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/webdav/WebDAVSource.cpp:

	WebDAV: auto-discovery fix

2012-09-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/util.cpp:
	* src/syncevo/util.h:

	Util: sort in ReadDir

2012-10-15  Jussi Laako  <jussi.laako@linux.intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSource.h:
	* src/syncevo/TmpFile.cpp:
	* src/syncevo/TmpFile.h:
	* src/syncevo/syncevo.am:

	Impove temp file creation and handling, especially for memory
	mapped temp files

2012-10-15  patrick.ohly@intel.com  <pohly@syncev.vlan14.01.org>


	Merge branch 'syncevolution-1-3-branch'

2012-10-15  patrick.ohly@intel.com  <pohly@syncev.vlan14.01.org>

	* test/test-dbus.py:

	D-Bus testing: fixed typo in test name

2012-10-12  patrick.ohly@intel.com  <pohly@syncev.vlan14.01.org>

	* test/runtests.py:

	testing: avoid 'foo=bar' at start of command line

2012-10-12  patrick.ohly@intel.com  <pohly@syncev.vlan14.01.org>

	* test/test-dbus.py:

	D-Bus testing: avoid hogging the CPU during process shutdown

2012-10-12  patrick.ohly@intel.com  <pohly@syncev.vlan14.01.org>

	* test/evo.supp:

	testing: ignore some valgrind errors in EDS 3.6

2012-10-12  patrick.ohly@intel.com  <pohly@syncev.vlan14.01.org>

	* src/syncevo/SyncConfig.cpp:

	HTTP Proxy: useProxy=0 overrides http_* env variables

2012-10-08  Patrick Ohly  <patrick.ohly@intel.com>


	Merge tag 'syncevolution-1-3-1'

2012-10-05  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:

	NEWS: include DUE date fix in 1.3.1

2012-10-05  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/11calendar.xml:

	vCalendar 1.0 + tasks: DUE date could be shifted by a day (FDO
	#55238)

2012-10-05  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	NEWS, configure: prepared 1.3.1

2012-10-05  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: avoid false negative in testAutoStart

2012-10-05  Patrick Ohly  <patrick.ohly@intel.com>

	* Makefile.am:

	syncevolution.org: syncevolution-evolution had incorrect
	dependencies

2012-10-05  Patrick Ohly  <patrick.ohly@intel.com>

	* configure.ac:

	GTK-3 UI: fixed compile problem

2012-09-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:

	Curl: allow using it in the D-Bus server

2012-09-25  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:

	command line: fix output of --import for directories

2012-09-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSource.h:
	* src/backends/pbap/PbapSyncSourceRegister.cpp:
	* src/backends/pbap/configure-sub.in:

	PBAP: clean up and bug fixes for new API support

2012-09-26  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: use RAII for GVariant

2012-09-26  Jeremy Whiting  <jeremy.whiting@collabora.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSource.h:

	pbap: Use StringPiece to store vcards in map rather than copying
	to string.

2012-09-21  Jeremy Whiting  <jeremy.whiting@collabora.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	pbap: Remove the temporary file after the sync is complete.

2012-09-01  Jeremy Whiting  <jeremy.whiting@collabora.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: Fix vcard parsing regexp so all vcards are parsed.

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: fixed compiler warning

2012-08-22  Jeremy Whiting  <jeremy.whiting@collabora.com>

	* src/backends/pbap/PbapSyncSource.cpp:
	* src/backends/pbap/PbapSyncSource.h:

	PBAP: add support for obex 0.47 to pbap backend.

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: fix SignalFilter

2012-08-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/session-common.h:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* src/gdbusxx/gdbus-cxx.h:
	* src/syncevo/DBusTraits.h:

	GDBus GIO: more flexible SignalWatch

2012-09-25  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:

	Updated changelog for this branch.

2012-09-25  Ove Kåven  <ovek@arcticnet.no>


	Merge branch 'FREMANTLE-1-3-0' into HARMATTAN-1-3-0

2012-09-25  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:

	Updated changelog.

2012-09-06  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	Re-add "uid:" prefix to notebook UID when printing KCal
	databases. It probably got lost when implementing tasks and
	notes. (cherry picked from commit
	5472d28aa30871e53d3848a1808f4310bfa0aa2d)

2012-08-14  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	Since we're using load() anyway, there's no need to call
	allIncidences(), it would just waste memory. Grab the already
	loaded incidences instead. (cherry picked from commit
	ac9f9183cf703f4301dc797156d8b56704f58e68)

2012-08-13  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:
	* src/backends/kcalextended/KCalExtendedSource.h:
	* src/backends/kcalextended/KCalExtendedSourceRegister.cpp:

	Implemented support for tasks and notes in the KCalExtended
	backend. (cherry picked from commit
	0384f211ccfed0d7a40840badd77e3e6746620dd)

2012-08-12  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:
	* src/backends/kcalextended/KCalExtendedSource.h:

	Fixed KCalExtendedSource failures when refreshing from peer
	because the storage's save() inserts first and deletes last.
	(cherry picked from commit
	f11748675a5ad7a53e559588c0818d7c3ad044c7)

2012-08-12  ovek  <ovek@ronin.(none)>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	Implemented KCalExtendedSource::isEmpty(). (cherry picked from
	commit 2f5edf4adb6b741a4273085a79e3f21603dfc333)

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	In KCalExtendedSource::open(), only load the contents of the
	notebook we actually plan to sync, not all notebooks in the
	storage. (cherry picked from commit
	9c6685b803797abf402cda32b4457634ce48b577)

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	When listing mkcal calendars, show notebook UID instead of
	storage, and allow this UID to be used for selecting a particular
	calendar. Since all listed calendars are in the default storage
	anyway, the UID is far more useful to have. (On the N9, knowing
	the physical storage does not help the user at all anyway, as
	access to it is restricted and needs to go through the API
	anyway.) (cherry picked from commit
	a5c2939c1d5d3d1ba01361f34b70284548747e8b)

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	Fix to result code of incidence updates. (cherry picked from
	commit 06f08ecb5af594b2c3c63edca10135283d6b48d5)

2012-09-25  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:

	Updated changelog and version for this branch.

2012-09-25  Ove Kåven  <ovek@arcticnet.no>


	Merge tag 'syncevolution-1-3' into FREMANTLE-1-3-0

2012-09-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/pbap.am:

	PBAP: fixed linking issue

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>


	Merge branch 'master' into pbap

2012-09-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/scripting/04vcard-photo-value.xml:

	Funambol: work around PHOTO TYPE=image/jpeg, II

2012-09-10  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:

	NEWS: include information about syncevo-http-server fix

2012-09-10  Patrick Ohly  <patrick.ohly@intel.com>

	* test/syncevo-http-server.py:

	syncevo-http-server: fixed printing of server debug output

2012-09-10  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	NEWS, autotools: release 1.3

2012-09-06  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:

	Updated changelog.

2012-08-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:

	local sync: fix timeout with local sync with libdbus

2012-09-06  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	Re-add "uid:" prefix to notebook UID when printing KCal
	databases. It probably got lost when implementing tasks and
	notes.

2012-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: ignore Google ActiveSync removeProperties failure

2012-09-05  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: more general suppression for libdl crash

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* test/testcases/eds_contact.vcf.exchange.tem.patch:

	testing: update Exchange test cases (X-RADIO)

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: ignore one-time leak

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* test/sys.supp:

	testing: updated system suppressions

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	testing: FN not supported for ActiveSync

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* test/runtests.py:

	testing: ignore some known ActiveSync problems

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* test/ClientTest.cpp:

	testing: fixed testAddBothSides*

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/gdbus/gdbus-cxx-bridge.h:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:

	D-Bus: explicitly flush messages

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/activesync/ActiveSyncSource.cpp:
	* src/backends/activesync/ActiveSyncSource.h:

	ActiveSync: avoid dangling const char pointer

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/README:

	PBAP: updated docs to include caching mode

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncSource.cpp:
	* src/syncevo/SyncSource.h:
	* src/syncevo/TrackingSyncSource.cpp:

	sources: force slow sync when listAllItems() returns no revisions

2012-08-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncConfig.cpp:
	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncML.cpp:
	* src/syncevo/SyncML.h:
	* test/test-dbus.py:

	engine: local cache sync mode

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: better support for interactive testing

2012-08-31  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncContext.cpp:

	engine: avoid sync mode comparisons against mode strings

2012-08-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/progress-data.cpp:
	* src/dbus/server/progress-data.h:
	* src/dbus/server/session.cpp:
	* src/dbus/server/session.h:

	D-Bus server: ensure progress percentage is 0-100

2012-08-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/auto-sync-manager.cpp:
	* src/dbus/server/connman-client.cpp:
	* src/dbus/server/network-manager-client.cpp:
	* src/dbus/server/server.cpp:
	* src/dbus/server/server.h:
	* src/dbus/server/session.cpp:

	D-Bus server: simplified server class

2012-08-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/file/FileSyncSource.cpp:

	file backend: use sub-second mod time stamps

2012-08-29  Patrick Ohly  <patrick.ohly@intel.com>


	Merge remote-tracking branch 'origin/master' into pbap2

2012-08-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: allow configuring format and fields via databaseFormat

2012-08-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: fixed dangling reference

2012-08-27  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: fixed parsing of PullAll result

2012-08-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/pbap/PbapSyncSource.cpp:

	PBAP: don't try to make up stable local IDs

2012-08-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:

	local sync: fix timeout with local sync with libdbus

2012-08-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:

	local sync: fix timeout with local sync with libdbus

2012-08-23  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbusxx/gdbus-cxx-bridge.h:

	GDBus GIO: removed dead code

2012-08-17  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncContext.cpp:
	* src/syncevo/SyncContext.h:

	SyncContext: removed dead "SyncModes" code

2012-08-16  Patrick Ohly  <patrick.ohly@intel.com>


	Merge remote-tracking branch 'origin/master' into pbap

2012-08-16  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/kde/KDEPlatform.cpp:

	KDE: check for D-Bus to avoid crash in KApplication (BMC #25596)

2012-08-14  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:

	Updated changelog.

2012-08-14  Ove Kåven  <ovek@arcticnet.no>


	Merge branch 'FREMANTLE-1-2-99-4' into HARMATTAN-1-2-99-4

2012-08-14  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:
	* src/backends/kcalextended/KCalExtendedSource.cpp:

	Since we're using load() anyway, there's no need to call
	allIncidences(), it would just waste memory. Grab the already
	loaded incidences instead.

2012-08-14  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/configs/datatypes/02vcard-types.xml:
	* src/syncevo/configs/scripting/04vcard-photo-value.xml:

	Funambol: work around PHOTO TYPE=image/jpeg

2012-08-13  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/main.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.cpp:
	* src/gdbusxx/gdbus-cxx-bridge.h:
	* test/test-dbus.py:

	D-Bus server + GIO D-Bus: fix auto-activation (Debian bug
	#599247)

2012-08-12  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:

	Updated changelog with descriptions of the KCalExtended changes.

2012-08-13  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:
	* src/backends/kcalextended/KCalExtendedSource.h:
	* src/backends/kcalextended/KCalExtendedSourceRegister.cpp:

	Implemented support for tasks and notes in the KCalExtended
	backend.

2012-08-12  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/webdav/syncevo-webdav-lookup.sh:

	Make syncevolution-webdav-lookup work with the shells and the
	"host" binaries available on Maemo.

2012-08-12  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:

	Updated changelog.

2012-08-12  Ove Kåven  <ovek@arcticnet.no>


	Merge tag 'syncevolution-1-2-99-4' into FREMANTLE-1-2-99-4

2012-08-12  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/maemo/MaemoCalendarSource.cpp:

	Activate the SyncSourceLogging stuff in the Maemo calendar
	backend.

2012-08-12  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:
	* src/backends/kcalextended/KCalExtendedSource.h:

	Fixed KCalExtendedSource failures when refreshing from peer
	because the storage's save() inserts first and deletes last.

2012-08-12  ovek  <ovek@ronin.(none)>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	Implemented KCalExtendedSource::isEmpty().

2012-08-12  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:
	* debian/control:
	* debian/copyright:
	* debian/rules:
	* src/backends/webdav/syncevo-webdav-lookup.sh:

	On Harmattan, embed host and libneon into the syncevolution
	packages.

2012-08-12  Ove Kåven  <ovek@arcticnet.no>

	* debian/copyright:

	Add myself to debian/copyright.

2012-08-12  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/webdav/syncevo-webdav-lookup.sh:

	Make syncevolution-webdav-lookup work with the shells and the
	"host" binaries available on Maemo.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* debian/rules:

	Added dependency to run libsynthesis's autogen.sh after the main
	one.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* debian/rules:

	Cleanups to debian/rules.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* debian/rules:

	Cleanups to debian/rules.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/webdav/webdav.am:

	Fixed broken rule for creating syncevo-webdav-lookup.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/webdav/webdav.am:

	Fixed broken rule for creating syncevo-webdav-lookup.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	In KCalExtendedSource::open(), only load the contents of the
	notebook we actually plan to sync, not all notebooks in the
	storage.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* debian/rules:

	Added dependency to run libsynthesis's autogen.sh after the main
	one.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	When listing mkcal calendars, show notebook UID instead of
	storage, and allow this UID to be used for selecting a particular
	calendar. Since all listed calendars are in the default storage
	anyway, the UID is far more useful to have. (On the N9, knowing
	the physical storage does not help the user at all anyway, as
	access to it is restricted and needs to go through the API
	anyway.)

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* src/backends/kcalextended/KCalExtendedSource.cpp:

	Fix to result code of incidence updates.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* debian/rules:

	Use regular autogen.sh in Harmattan builds.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:

	Updated changelog for this branch.

2012-08-11  Ove Kåven  <ovek@arcticnet.no>


	Merge branch 'FREMANTLE-1-2-99-3' into HARMATTAN-1-2-99-3

2012-08-10  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:
	* src/backends/maemo/MaemoCalendarSource.cpp:
	* src/backends/maemo/MaemoCalendarSource.h:
	* src/backends/maemo/MaemoCalendarSourceRegister.cpp:

	Updates for Maemo calendar backend.

2012-08-07  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	NEWS, autotools: updated for 1.2.99.4

2012-08-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/gdbus/gdbus-cxx-bridge.h:

	D-Bus libdbus: avoid compiler warning

2012-08-07  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/SyncConfig.cpp:

	config: improved 'maxlogdirs' documentation

2012-08-06  Ove Kåven  <ovek@arcticnet.no>

	* debian/changelog:

	Updated changelog.

2012-08-05  Ove Kåven  <ovek@arcticnet.no>

	* src/syncevo/LocalTransportAgent.cpp:
	* src/syncevo/SyncContext.cpp:

	Fixes for compilation on gcc 4.2, used on Maemo 5.

2012-08-05  Ove Kåven  <ovek@arcticnet.no>

	* autogen-maemo.sh:
	* configure.ac:
	* debian/control:
	* debian/rules:
	* src/backends/evolution/configure-sub.in:
	* src/syncevo/eds_abi_wrapper.h:

	Various packaging and build system patches for the Maemo 5 port.

2012-08-05  Ove Kåven  <ovek@arcticnet.no>

	* .gitignore:
	* INSTALL:

	Remove INSTALL file from version control.

2012-08-04  Ove Kåven  <ovek@arcticnet.no>


	Merge tag 'syncevolution-1-2-99-3' into FREMANTLE-1-2-99-3

2012-08-04  Ove Kåven  <ovek@arcticnet.no>

	* autogen-maemo.sh:

	I think I fixed my scratchbox.

2012-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* .gitignore:
	* INSTALL:

	autotools: let autogen.sh install the INSTALL file

2012-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/Cmdline.cpp:
	* test/test-dbus-concurrency.txt:
	* test/test-dbus.py:
	* test/testcases/eds_event.ics.googleactivesync.tem.patch:
	* test/testcases/eds_event.ics.radicale.tem.patch:

	command line: fixed --export <file name>

2012-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/server/auto-sync-manager.cpp:
	* test/test-dbus.py:

	D-Bus server: fix support for autoSyncDelay > 0

2012-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/test-dbus.py:

	D-Bus testing: further tweaks for failure tests

2012-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/synccompare.pl:

	ActiveSync: ignore ANIVERSARY and BDAY for both Google and
	Exchange

2012-08-02  Patrick Ohly  <patrick.ohly@intel.com>

	* test/dbus-session.sh:

	testing: setup-syncevolution needs D-Bus

2012-06-23  Rohan Garg  <rohangarg@kubuntu.org>

	* src/dbus/interfaces/syncevo-session-full.xml:

	D-Bus interface XML: fix incorrect numbering of parameter
	annotation in Session.SetNamedConfig()

2012-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/interfaces/syncevo-server-full.xml:
	* src/dbus/interfaces/syncevo-session-full.xml:

	D-Bus interface XML: avoid "template" as parameter name

2012-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/interfaces/syncevo-connection-full.xml:
	* src/dbus/interfaces/syncevo-server-full.xml:
	* src/dbus/interfaces/syncevo-session-full.xml:

	Revert "Use the newer org.qtproject.QtDBus annotation for DBus
	interfaces"

2012-07-29  Patrick Ohly  <patrick.ohly@intel.com>

	* src/dbus/interfaces/syncevo-session-full.xml:

	Revert "Use org.qtproject.QtDBus.QtTypeName.In3 instead of
	org.qtproject.QtDBus.QtTypeName.In2"

2012-07-24  Patrick Ohly  <patrick.ohly@intel.com>

	* NEWS:
	* configure.ac:

	NEWS, configure: updated for 1.2.99.3

2012-07-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/backends/evolution/EvolutionCalendarSource.cpp:
	* src/backends/evolution/EvolutionCalendarSource.h:
	* src/backends/evolution/EvolutionContactSource.cpp:
	* src/backends/evolution/EvolutionContactSource.h:
	* src/backends/evolution/EvolutionMemoSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.cpp:
	* src/backends/evolution/EvolutionSyncSource.h:
	* src/backends/evolution/configure-sub.in:
	* src/backends/evolution/e-cal-check-timezones.c:
	* src/syncevo/eds_abi_wrapper.h:
	* test/ClientTest.cpp:

	EDS: added support for EDS 3.5.x

2012-07-24  Patrick Ohly  <patrick.ohly@intel.com>

	* src/syncevo/GLibSupport.h:

